#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 22.07.10
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Befehle, die eine Benutzerinteraktion notwendig machen oder
## nicht erwnschte Nebenwirkungen haben, sind auskommentiert.
##
## Um alle Teile des Skripts ausfhren zu knnen, muss das Paket
## RODBC
## samt Abhngigkeiten installiert sein, vgl. Abschnitt 1.2.7:
##
## install.packages("RODBC", repos="http://ftp5.gwdg.de/pub/misc/cran/")
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

####*---------------------------------------------------------------------------
##### 4 Befehle und Daten verwalten
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 4.1 Befehlssequenzen im Editor bearbeiten

#####---------------------------------------------------------------------------
##### 4.2 Daten importieren und exportieren
##### 4.2.1
## vec <- scan()
## charVec <- scan(what="character")

##### 4.2.2
getwd()
myDf <- data.frame(IV=factor(rep(c("A", "B"), 5)), DV=rnorm(10))
## myDf <- edit(myDf)
## fix(myDf)
## newDf <- edit(data.frame())

##### 4.2.3
## (xDf <- read.table(file=stdin(), header=TRUE))
write.table(myDf, file="data.txt")
myDf <- read.table("data.txt", header=TRUE)
str(myDf)

##### 4.2.4
save(myDf, file="data.RData")
load("data.RData")
dump("myDf", file="dumpMyDf.txt")
source("dumpMyDf.txt")

##### 4.2.5
##### 4.2.5.1
## myDf <- read.table("clipboard", sep="\t", dec=",")

##### 4.2.5.2
##### 4.2.5.3
## library(RODBC)
## xlsCon   <- odbcConnectExcel("data.xls")
## odbcGetInfo(xlsCon)
## sqlTables(xlsCon)
## (myDfXls <- sqlFetch(xlsCon, "table1"))
## sqlQuery(xlsCon, "select IV, DV from [table1$] order by IV")
## sqlQuery(xlsCon, "select * from [table1$] where IV = 'A' AND DV < 10")
## odbcClose(xlsCon)

