#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 24.07.10
## Stand Korrekturen: 24.04.12
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Befehle, die eine Benutzerinteraktion notwendig machen oder
## nicht erwnschte Nebenwirkungen haben, sind auskommentiert.
##
## Um alle Teile des Skripts ausfhren zu knnen, mssen die Pakete
## car, coin, FSA, gplots, ICSNP, irr, multcomp, mvtnorm, rgl, RODBC,
## scatterplot3d, vcd
## samt Abhngigkeiten installiert werden, vgl. Abschnitt 1.2.7:
##
## install.packages(c("car", "coin", "FSA", "gplots", "ICSNP", "irr", "multcomp",
##                    "mvtnorm", "rgl", "RODBC", "scatterplot3d", "vcd"),
##                  repos=c("http://www.rforge.net/", "http://ftp5.gwdg.de/pub/misc/cran/"))
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

####*---------------------------------------------------------------------------
##### 1 Erste Schritte
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 1.1 Vorstellung
##### 1.1.1
##### 1.1.2
1 + 1

##### 1.1.3
##### 1.1.4

#####---------------------------------------------------------------------------
##### 1.2 Grundlegende Elemente
##### 1.2.1
1 + 1
2 * (4
     -5)
## q()

data(Duncan, package="car")
attach(Duncan)
head(Duncan)
dev.new(width=7, height=7)
boxplot(income ~ type, main="Anteil hoher Einkommen pro Berufsgruppe", cex.lab=1.4)
stripchart(income ~ type, pch=20, vert=TRUE, add=TRUE)
tapply(education, type, mean)
cor(cbind(income, education, prestige))
anova(lm(prestige ~ type))
BCandWC <- (type == "bc") | (type == "wc")
t.test(education ~ type, alternative="less", subset=BCandWC)
detach(Duncan)

##### 1.2.2
##### 1.2.3
history()

##### 1.2.4
12^2 + 1.5*10
sin(pi/2) + sqrt(abs(-4))
exp(1)^((0+1i)*pi)
exp(1)^(-pi/2) - (0+1i)^(0+1i)

is.infinite(1/0)
is.nan(0/0)

##### 1.2.5
## q()
"/"(1, 10)
round(1.271)
round(pi, digits=2)

##### 1.2.6
##### 1.2.7

#####---------------------------------------------------------------------------
##### 1.3 Datenstrukturen: Klassen, Objekte, Datentypen
##### 1.3.1
ls("package:stats")

##### 1.3.2
x1  <-  4.5
x1   =  4.5
4.5  -> x1
x2 <- x3 <- 10
x2
x3
x1 * 2
x1^x1 - x2

##### 1.3.3
x1
print(x1)
(x1 <- 4.5)
.Last.value

##### 1.3.4
ls()
## rm(list=ls(all=TRUE))
age <- 22
rm(age);
## age

##### 1.3.5
NULL
TRUE
FALSE
T
F
3.14
3.14 + 1i
"Hello"
charVar <- "asdf"
mode(charVar)
is.character(1.23)
as.character(1.23)
as.logical(2)

##### 1.3.6
TRUE == TRUE
TRUE == FALSE
!TRUE
!FALSE
TRUE != TRUE
TRUE != FALSE
isTRUE(TRUE)
isTRUE(FALSE)
 TRUE & TRUE
 TRUE & FALSE
FALSE & FALSE
FALSE & TRUE
 TRUE | TRUE
 TRUE | FALSE
FALSE | FALSE
FALSE | TRUE
4 <  8
7 <  3
4 >  4
4 >= 4

0.1 + 0.2 == 0.3
1 %/% 0.1
sin(pi)
1 - ((1/49) * 49)
1 - ((1/48) * 48)

all.equal(1, 1)
all.equal(0.12345001, 0.12345000)
isTRUE(all.equal(0.12345001,  0.12345000))
isTRUE(all.equal(0.123450001, 0.123450000))
0.123400001 == 0.123400000

####*---------------------------------------------------------------------------
##### 2 Elementare Dateneingabe und -verarbeitung
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 2.1 Vektoren
##### 2.1.1
numeric(4)
(age    <- c(18, 20, 30, 24, 23, 21))
addAge  <- c(27, 21, 19)
(ageNew <- c(age, addAge))
length(age)
length("ABCDEF")
nchar("ABCDEF")
nchar(c("A", "BC", "DEF"))

##### 2.1.2
c(11, 12, 13, 14)[2]
age[4]
(ageLast <- age[length(age)])
age[length(age) + 1]

idx <- c(1, 2, 4)
age[idx]
age[c(3, 5, 6)]
age[c(1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6)]
age[c(4, NA, 1)]
age[-3]
age[c(-1, -2, -4)]
age[-c(1, 2, 4)]
age[-idx]

age[4]   <- 25; age
age[idx] <- c(17, 30, 25); age
charVec1 <- c("Z", "Y", "X")
charVec1[c(4, 5, 6)] <- c("W", "V", "U"); charVec1
(charVec2 <- c(charVec1, "T", "S", "R"))
(charVec3 <- append(charVec2, c("Q", "P", "O")))

##### 2.1.3
charVec4 <- "word"
numVec   <- c(10, 20, 30)
(combVec <- c(charVec4, numVec))
mode(combVec)
LETTERS[c(1, 2, 3)]

##### 2.1.4
vec <- c(10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20)
rev(vec)
vec <- c(10, 12, 1, 12, 7, 16, 6, 19, 10, 19)
sort(vec)
(idxDec <- order(vec, decreasing=TRUE))
vec[idxDec]
rank(c(3, 1, 2, 3))
order(c(3, 1, 2, 3))
sort(c("D", "E", "E", "A", "F", "E", "D", "A", "E", "A"))

##### 2.1.5
(namedVec1 <- c(elem1="first", elem2="second"))
namedVec1["elem1"]
(namedVec2 <- c(val1=10, val2=-12, val3=33))
names(namedVec2)
names(namedVec2) <- c("A", "B", "C"); namedVec2

##### 2.1.6
vec <- c(10, 20, 30, 40, 50)
vec <- vec[c(-4, -5)]; vec
vec <- c(1, 2, 3, 4, 5)
length(vec) <- 3; vec

##### 2.1.7
age <- c(18, 20, 30, 24, 23, 21)
age/10
(age/2) + 5
vec1 <- c(3, 4, 5, 6)
vec2 <- c(-2, 2, -2, 2)
vec1*vec2
vec3 <- c(10, 100, 1000, 10000)
(vec1 + vec2) / vec3

##### 2.1.7.1
vec1 <- c(2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24)
vec2 <- c(2, 4, 6, 8, 10)
c(length(age), length(vec1), length(vec2))
vec1*age
vec2*age

##### 2.1.7.2
(zAge <- (age - mean(age)) / sd(age))
(zAge <- scale(age))
as.vector(zAge)
newSd   <- 15
newMean <- 100
(newAge <- (as.vector(zAge)*newSd) + newMean)
mean(newAge)
sd(newAge)

##### 2.1.7.3
height <- c(1.78, 1.91, 1.89, 1.83, 1.64)
weight <- c(65, 89, 91, 75, 73)
(bmi   <- weight / (height^2))

quest1  <- c(FALSE, FALSE, FALSE, TRUE,  FALSE, TRUE, FALSE, TRUE)
quest2  <- c(TRUE,  FALSE, FALSE, FALSE, TRUE,  TRUE, TRUE,  FALSE)
quest3  <- c(TRUE,  TRUE,  TRUE,  TRUE,  FALSE, TRUE, FALSE, FALSE)
(sumVar <- quest1 + quest2 + quest3)

#####---------------------------------------------------------------------------
##### 2.2 Logische Operatoren
##### 2.2.1
age <- c(17, 30, 30, 24, 23, 21)
age < 24
x <- c(2, 4, 8)
y <- c(3, 4, 5)
x == y
x < y
(age <= 20) | (age >= 30)
(age > 20)  & (age < 30)
c(TRUE,  FALSE, FALSE) && c(TRUE,  TRUE, FALSE)
c(FALSE, FALSE, TRUE)  || c(FALSE, TRUE, FALSE)

x <- c(4, 5, 6)
y <- c(4, 5, 6)
z <- c(1, 2, 3)
all.equal(x, y)
all.equal(y, z)
isTRUE(all.equal(y, z))

res <- age > 30
any(res)
any(age < 18)
all(x == y)
res <- age < 24
sum(res)
which(age < 24)
length(which(age < 24))

##### 2.2.2
age[c(TRUE, FALSE, TRUE, TRUE, FALSE, TRUE)]
(idx <- (age <= 20) | (age >= 30))
age[idx]
age[(age >= 30) | (age <= 20)]

vecNA <- c(-3, 2, 0, NA, -7, 5)
(idx  <- vecNA > 0)
vecNA[idx]

(logIdx <- (age < 24))
(numIdx <- which(logIdx))
seq(along=logIdx) %in% numIdx

##### 2.2.3
myColors <- c("red", "blue", "blue", "chartreuse", "red", "green")
farben   <- character(length(myColors))
farben[myColors == "red"]        <- "rot"
farben[myColors == "blue"]       <- "blau"
farben[myColors == "chartreuse"] <- "gelbgrn"
farben[myColors == "green"]      <- "grn"
farben

replace(c(1, 2, 3, 4, 5), list=c(2, 4), values=c(200, 400))

IQ      <- c(112, 103, 87, 86, 90, 101, 90, 89, 122, 103)
IQclass <- numeric(length(IQ))
IQclass[IQ <= 100]                <- 1
IQclass[(IQ > 100) & (IQ <= 115)] <- 2
IQclass[IQ > 115]                 <- 3
IQclass

ifelse(c(6, 2, 4, 5, 4, 2, 5, 4, 6, 6) >= 4, "hi", "lo")

orgVec <- c(5, 9, 11, 8, 9, 3, 1, 13, 9, 12, 5, 12, 6, 3, 17, 5, 8, 7)
cutoff <- 10
(reVec <- ifelse(orgVec <= cutoff, orgVec, cutoff))

#####---------------------------------------------------------------------------
##### 2.3 Mengen
##### 2.3.1
duplicated(c(1, 1, 1, 3, 3, 4, 4))
unique(c(1, 1, 1, 3, 3, 4, 4))
length(unique(c("A", "B", "C", "C", "B", "B", "A", "C", "C", "A")))

##### 2.3.2
x <- c(2, 1, 3, 2, 1)
y <- c(5, 3, 1, 3, 4, 4)
union(x, y)
union(y, x)
intersect(x, y)
intersect(y, x)
setequal(c(1, 1, 2, 2), c(2, 1))
setdiff(x, y)
setdiff(y, x)

is.element(c(29, 23, 30, 17, 30, 10), c(30, 23))
c("A", "Z", "B") %in% c("A", "B", "C", "D", "E")
A <- c(4, 5, 6)
B <- c(1, 2, 3, 4, 5, 6, 7, 8, 9, 10)
(AinB <- all(A %in% B))
(BinA <- all(B %in% A))
AinB & !BinA

targetSet <- c("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K")
response  <- c("Z", "E", "O", "W", "H", "C", "I", "G", "A", "O", "B")
(respRec  <- ifelse(response %in% targetSet, response, "other"))

##### 2.3.3
myN <- 5
myK <- 4
factorial(myN) / (factorial(myK)*factorial(myN-myK))
choose(myN, myK)

combn(c("a", "b", "c", "d", "e"), myK)
combn(c(1, 2, 3, 4), 3)
combn(c(1, 2, 3, 4), 3, sum)
combn(c(1, 2, 3, 4), 3, weighted.mean, simplify=TRUE, w=c(0.1, 0.2, 0.3))

IV1 <- c("control", "treatment")
IV2 <- c("f", "m")
IV3 <- c(1, 2)
expand.grid(IV1, IV2, IV3)
apply(combn(c(1, 2, 3, 4), 3), 2, sum)

#####---------------------------------------------------------------------------
##### 2.4 Numerische Sequenzen und feste Wertefolgen erzeugen
##### 2.4.1
20:26
26:20
-4:2
-(4:2)
seq(from=2, to=12, by=2)
seq(from=0, to=-1, length.out=5)

age <- c(18, 20, 30, 24, 23, 21)
seq(along=age)
vec <- numeric(0)
length(vec)
1:length(vec)
seq(along=vec)
sequence(c(3, 2))
sequence(1:3)

##### 2.4.2
rep(1:3, times=5)
rep(age, each=2)
vec <- c(1, 4, 8)
(idx <- rep(c(1, 3, 1, 2, 3), times=2))
vec[idx]
rep(c("A", "B", "C"), c(2, 3, 4))

#####---------------------------------------------------------------------------
##### 2.5 Zufallszahlen und zufllige Reihenfolgen generieren
##### 2.5.1
sample(1:6, 20, replace=TRUE)
sample(c("rot", "grn", "blau"), 8, replace=TRUE)

##### 2.5.2
runif(5, min=1, max=6)
rbinom(20, size=5, prob=0.3)
round(rnorm(12, mean=100, sd=15))

##### 2.5.3
vec     <- rep(c("rot", "grn", "blau"), 1000)
selIdx1 <- sample(seq(along=vec), 5, replace=FALSE)
vec[selIdx1]
selIdx2 <- seq(1, length(vec), by=10)
selIdx3 <- rbinom(length(vec), 1, 0.1) == 1

##### 2.5.4
nGroups    <- 3
groupSize  <- 4
(groupsRep <- rep(1:nGroups, groupSize))
(distrib   <- sample(groupsRep, length(groupsRep), replace=FALSE))

myColors  <- c("red", "green", "blue", "yellow", "black")
(randCols <- sample(myColors, length(myColors), replace=FALSE))

#####---------------------------------------------------------------------------
##### 2.6 Deskriptive Kennwerte numerischer Vektoren
summary(c(17, 30, 30, 25, 23, 21))

##### 2.6.1
sum(c(17, 30, 30, 25, 23, 21))
sum(c(17, 30, 30, 25, 23, 21) >= 25)
cumsum(c(17, 30, 30, 25, 23, 21))

diff(c(17, 30, 30, 25, 23, 21))
diff(c(17, 30, 30, 25, 23, 21), lag=2)

prod(c(17, 30, 30, 25, 23, 21))
cumprod(c(17, 30, 30, 25, 23, 21))
factorial(5)

##### 2.6.2
max(c(17, 30, 30, 25, 23, 21))
which.min(c(17, 30, 30, 25, 23, 21))
vec <- c(-5, -8, -2, 10, 9)
val <- 0
which.min(abs(vec-val))
range(c(17, 30, 30, 25, 23, 21))
diff(range(c(17, 30, 30, 25, 23, 21)))
vec1 <- c(5, 2, 0, 7)
vec2 <- c(3, 3, 9, 2)
pmax(vec1, vec2)
pmin(vec1, vec2)

##### 2.6.3
mean(1, 3, 7)
mean(c(1, 3, 7))
mean(c(17, 30, 30, 25, 23, 21))
weights <- c(0.6, 0.6, 0.3, 0.2, 0.4, 0.6)
weighted.mean(c(17, 30, 30, 25, 23, 21), weights)

age <- c(17, 30, 30, 25, 23, 21)
sort(age)
median(age)

ageNew <- c(age, 22)
sort(ageNew)
median(ageNew)

vec     <- c(11, 22, 22, 33, 33, 33, 33)
(tab    <- table(vec))
(modIdx <- which.max(tab))
tab[modIdx]

##### 2.6.4
(quantOld <- quantile(c(17, 30, 30, 25, 23, 21)))
quantOld[c("25%", "50%")]

vec <- sample(seq(0, 1, by=0.01), 1000, replace=TRUE)
quantile(vec, probs=c(0, 0.2, 0.4, 0.6, 0.8, 1))

IQR(c(17, 30, 30, 25, 23, 21))

##### 2.6.5
age <- c(17, 30, 30, 25, 23, 21)
var(age)
sum((age-mean(age))^2) / (length(age)-1)

((length(age)-1) / length(age)) * var(age)
sum((age-mean(age))^2) / length(age)

sqrt(var(age))
sd(age)
sqrt((length(age)-1) / length(age)) * sd(age)
sqrt(sum((age-mean(age))^2) / length(age))

mean(abs(age-median(age)))
mad(age)

##### 2.6.6
age      <- c(17, 30, 30, 25, 23, 21)
semester <- c(1, 12, 8, 10, 5, 3)
cov(age, semester)
sum((age-mean(age)) * (semester-mean(semester))) / (length(age)-1)
((length(age)-1) / length(age)) * cov(age, semester)
sum((age-mean(age)) * (semester-mean(semester))) / length(age)
cor(age, semester)
cov(age, semester) / (sd(age) * sd(semester))

nObs <- 100
z    <- runif(nObs)
x    <- z + rnorm(nObs, 0, 0.5)
y    <- z + rnorm(nObs, 0, 0.5)
## fr Daten des Buches diese Datei laden:
# load("data_regrParCor.Rdata")
(cor(x, y)-(cor(x, z) * cor(y, z))) / (sqrt((1-cor(x, z)^2) * (1-cor(y, z)^2)))

##### 2.6.7
outer(1:10, 1:10, "*")

#####---------------------------------------------------------------------------
##### 2.7 Gruppierungsfaktoren
##### 2.7.1
sex     <- c("m", "f", "f", "m", "m", "m", "f", "m", "f", "f")
(sexFac <- factor(sex))
factor(c(1, 1, 3, 3, 4, 4), levels=1:5)
(sexNum <- rbinom(10, 1, 0.5))
factor(sexNum, labels=c("man", "woman"))
levels(sexFac) <- c("fem", "male"); sexFac

nlevels(sexFac)
summary(sexFac)
levels(sexFac)
str(sexFac)
unclass(sexFac)
unclass(factor(10:15))
as.character(sexFac)

##### 2.7.2
(status   <- factor(c("hi", "lo", "hi")))
status[4] <- "mid"; status
levels(status) <- c(levels(status), "mid")
status[4] <- "mid"; status

hiNotHi <- status
levels(hiNotHi) <- list(hi="hi", notHi=c("mid", "lo")); hiNotHi

status[1:2]
status[1:2, drop=TRUE]
(newStatus <- factor(status[1:2]))

##### 2.7.3
ordered(status, levels=c("lo", "mid", "hi"))

##### 2.7.4
fac <- factor(rep(LETTERS[1:3], each=10))
vec <- rnorm(30, rep(c(10, 5, 15), each=10), 3)
tapply(vec, fac, mean)
reorder(fac, vec, mean)

(fac <- factor(sample(1:2, 10, replace=TRUE), labels=c("B", "A")))
sort(fac)
as.vector(fac)
sort(as.vector(fac))

##### 2.7.5
(myFac1 <- factor(rep(c("A", "B"), c(5, 5))))
(myFac2 <- gl(2, 5, labels=c("less", "more"), ordered=TRUE))
sample(myFac2, length(myFac2), replace=FALSE)

expand.grid(IV1=gl(2, 2, labels=c("a", "b")), IV2=gl(3, 1))

##### 2.7.6
IQ    <- rnorm(100, mean=100, sd=15)
IQfac <- cut(IQ, breaks=c(0, 85, 115, Inf)); IQfac[1:5]
levels(IQfac) <- c("lo", "mid", "hi"); IQfac[1:5]

##### 2.7.7
nSubj <- 2
P     <- 2
Q     <- 3
sex   <- factor(rep(c("f", "m"), Q*nSubj))
group <- factor(rep(c("T", "WL", "CG"), each=P*nSubj))
table(sex, group)

IQ <- round(rnorm(P*Q*nSubj, mean=100, sd=15))
ave(IQ, sex, FUN=mean)

(tapRes <- tapply(IQ, group, FUN=mean))
tapply(IQ, list(sex, group), FUN=mean)
tapRes[group]

tapply(IQ, sex, "[")
IQ[sex == "f"]
IQ[sex == "m"]

#####---------------------------------------------------------------------------
##### 2.8 Matrizen
age <- c(17, 30, 30, 25, 23, 21)
matrix(age, nrow=3, ncol=2, byrow=FALSE)
(ageMat <- matrix(age, nrow=2, ncol=3, byrow=TRUE))

##### 2.8.1
##### 2.8.2
age    <- c(17, 30, 30, 25, 23, 21)
ageMat <- matrix(age, nrow=2, ncol=3, byrow=FALSE)
dim(ageMat)
nrow(ageMat)
ncol(ageMat)
prod(dim(ageMat))
dim(age) <- c(2, 3)
age

as.matrix(1:4)
c(ageMat)

P        <- 2
Q        <- 3
(pqMat   <- matrix(1:(P*Q), nrow=P, ncol=Q))
(rowMat1 <- row(pqMat))
(colMat1 <- col(pqMat))

rowMat2  <- matrix(rep(1:P, Q),      ncol=Q)
colMat2  <- matrix(rep(1:Q, each=P), ncol=Q)

cbind(rowIdx=c(rowMat1), colIdx=c(colMat1), val=c(pqMat))

mat <- matrix(sample(1:10, 16, replace=TRUE), 4, 4)
col(mat) >= row(mat)

##### 2.8.3
ageMat[2, 2]
ageMat[2, 2] <- 24; ageMat[2, 2]
ageMat[2,  ]
ageMat[ , 1]
ageMat[ ,  ]
ageMat[ , 1, drop=FALSE]
ageMat[ , 2:3]
ageMat[ , c(1, 3)]

ageMatNew   <- ageMat
(replaceMat <- matrix(c(11, 21, 12, 22), 2, 2))
ageMatNew[ , c(1, 3)] <- replaceMat
ageMatNew

##### 2.8.4
ageMat[c(1, 3, 4)]
(idxMat <- matrix(c(1, 1, 2, 2, 3, 3), 3, 2))
ageMat[idxMat]

(selMat <- ageMat >= 25)
ageMat[selMat]

##### 2.8.5
nSubj  <- 10
age    <- sample( 18:35,  nSubj, replace=TRUE)
weight <- sample( 65:95,  nSubj, replace=TRUE)
height <- sample(168:201, nSubj, replace=TRUE)
rbind(age, weight, height)
varMat <- cbind(age, weight, height); varMat[1:5, ]

##### 2.8.6
ageMat
sum(ageMat)
rowSums(ageMat)
mean(ageMat)
colMeans(ageMat)

##### 2.8.7
apply(ageMat, 2, sum)
apply(ageMat, 1, max)
apply(ageMat, 2, range)
mat <- matrix(sample(1:100, 120, replace=TRUE), ncol=3)
apply(mat, 2, mean, trim=0.1)

##### 2.8.8
rowMs <- rowMeans(ageMat)
colMs <- colMeans(ageMat)
sweep(ageMat, 1, rowMs, "-")
sweep(ageMat, 2, colMs, "-")
scale(ageMat, center=TRUE, scale=FALSE)
ageMat - matrix(rep(colMs, nrow(ageMat)), nrow=nrow(ageMat), byrow=TRUE)
n <- nrow(ageMat)
(diag(n) - (1/n) * (rep(1, n) %*% t(rep(1, n)))) %*% ageMat

##### 2.8.9
cov(varMat)
cor(varMat)
cov.wt(varMat, method="ML")
diag(cov(varMat))

vec <- rnorm(nSubj)
cor(varMat, vec)

##### 2.8.10
nSubj  <- 5
sex    <- sample(c(0, 1), nSubj, replace=TRUE)
age    <- sample(  18:35, nSubj, replace=TRUE)
rating <- sample(    1:3, nSubj, replace=TRUE)
(mat   <- cbind(sex, age, rating))

(rowOrder1 <- order(mat[ , 1]))
mat[rowOrder1, ]

rowOrder2 <- order(mat[ , 1], partial=mat[ , 2])
mat[rowOrder2, ]

order(mat[ , 1], mat[ , 2])

rowOrder3 <- order(mat[ , 1], -mat[ , 2])
mat[rowOrder3, ]

#####---------------------------------------------------------------------------
##### 2.9 Lineare Algebra
##### 2.9.1
nn <- 4
qq <- 2
(X <- matrix(c(20, 26, 10, 19, 29, 27, 20, 12), nrow=nn, ncol=qq))
t(X)

diag(cov(X))
diag(1:3)
diag(2)

(Xc <- diag(nn) - (1/nn) * (rep(1, nn) %*% t(rep(1, nn))))
## Alternative:
# (Xc <- diag(nn) - matrix(rep(1/nn, nn^2), nrow=nn))
# all(Xc %*% Xc == Xc)
## besserer Weg aufgrund potentieller Rundungsfehler:
all.equal(Xc %*% Xc, Xc)
(Xdot <- Xc %*% X)
colSums(Xdot)
(SSCP <- t(Xdot) %*% Xdot)

(1/(nn-1)) * SSCP
cov(X)

(1:nn)     %*% t(rep(1, qq))
rep(1, nn) %*% t(1:qq)

##### 2.9.2
mat     <- matrix(c(1, 1, 1, -1), nrow=2)
(matInv <- solve(mat))
mat %*% matInv

A  <- matrix(c(9, 1, -5, 0), nrow=2)
b  <- c(5, -3)
(x <- solve(A, b))
A %*% x

##### 2.9.3
vec1 <- c(3, 4, 1, 8, 2)
sqrt(crossprod(vec1))
sqrt(sum(vec1^2))

vec2 <- c(6, 9, 10, 8, 7)
mat1 <- cbind(vec1, vec2)
sqrt(diag(crossprod(mat1)))
sqrt(colSums(mat1^2))

mat2 <- matrix(sample(-20:20, 12, replace=TRUE), ncol=3)
dist(mat2, diag=TRUE, upper=TRUE)
sqrt(crossprod(mat2[1, ] - mat2[2, ]))

sigma <- matrix(c(4,2,-3, 2,16,-1, -3,-1,9), byrow=TRUE, ncol=3)
mu    <- c(-3, 2, 4)
library(mvtnorm)
nSubj <- 100
X     <- round(rmvnorm(n=nSubj, mean=mu, sigma=sigma))
## fr Daten des Buches diese Datei laden:
# load("data_mahaDist.Rdata")
ctr   <- colMeans(X)
S     <- cov(X)

Seig  <- eigen(S)
sqrtD <- sqrt(Seig$values)
SsqrtInv <- Seig$vectors %*% diag(1/sqrtD) %*% t(Seig$vectors)

Xctr  <- sweep(X, 2, ctr, "-")
Xm    <- t(SsqrtInv %*% t(Xctr))
cov(Xm)
colMeans(Xm)

ideal <- c(1, 2, 3)
x     <- X[1, ]
y     <- X[2, ]
mat   <- rbind(x, y)

mahalanobis(mat, ideal, S)

Sinv <- solve(S)
t(x-ideal) %*% Sinv %*% (x-ideal)
t(y-ideal) %*% Sinv %*% (y-ideal)
matDiff <- sweep(mat, 2, ideal, "-")
diag(matDiff %*% Sinv %*% t(matDiff))

mDist   <- mahalanobis(X, ideal, S)
min(mDist)
(idxMin <- which.min(mDist))
X[idxMin, ]

idealM <- t(SsqrtInv %*% (ideal - ctr))
crossprod(Xm[1, ] - t(idealM))
crossprod(Xm[2, ] - t(idealM))

matM     <- rbind(Xm[1, ], Xm[2, ])
matMdiff <- sweep(matM, 2, idealM, "-")
diag(crossprod(t(matMdiff)))

##### 2.9.4
## fr Daten des Buches diese Datei laden:
# load("data_mahaDist.Rdata")
ones <- rep(1, nrow(X))
P1   <- ones %*% solve(t(ones) %*% ones) %*% t(ones)
Px1  <- P1 %*% X
Px1[1:3, ]

colMeans(X)

a  <- ones / sqrt(crossprod(ones))
P2 <- a %*% t(a)
all.equal(P1, P2)

A   <- cbind(c(1, 0, 0), c(0, 1, 0))
P3  <- A %*% solve(t(A) %*% A) %*% t(A)
Px3 <- t(P3 %*% t(X))
Px3[1:3, ]
X[1:3, ]

##### 2.9.5
nn <- 4
qq <- 2
X  <- matrix(c(20, 26, 10, 19, 29, 27, 20, 12), nrow=nn, ncol=qq)
Xc <- diag(nn) - (1/nn) * (rep(1, nn) %*% t(rep(1, nn)))
sum(diag(Xc))
det(Xc)

mat    <- matrix(c(1, 1, 1, -1), nrow=2)
matInv <- solve(mat)
all.equal(det(matInv), 1/det(mat))

qrRes <- qr(Xc)
qrRes$rank
qr.Q(qrRes) %*% qr.R(qrRes)

mat  <- matrix(c(1, 0, 0, 2), nrow=2)
(eig <- eigen(mat))
eig$vectors %*% t(eig$vectors)
all.equal(sum(diag(mat)),  sum(eig$values))
all.equal(det(mat),       prod(eig$values))

eig$vectors %*% diag(eig$values) %*% t(eig$vectors)

sqrtD <- sqrt(eig$values)
AA    <- eig$vectors %*% diag(sqrtD) %*% t(eig$vectors)
AA %*% AA

AAinv <- eig$vectors %*% diag(1/sqrtD) %*% t(eig$vectors)
AAinv %*% AA

N <- eig$vectors %*% sqrt(diag(eig$values))
N %*% t(N)

BB <- eig$vectors %*% diag(c(eig$values[1], 0)) %*% t(eig$vectors)
CC <- eig$vectors %*% diag(c(0, eig$values[2])) %*% t(eig$vectors)
BB + CC

X <- matrix(c(20, 26, 10, 19, 29, 27, 20, 12), nrow=4, ncol=2)
kappa(X, exact=TRUE)
eigVals <- eigen(t(X) %*% X)$values
sqrt(max(eigVals) / min(eigVals))

Xsvd <- svd(X)
Xsvd$u %*% diag(Xsvd$d) %*% Xsvd$v

R <- chol(cov(X))
t(R) %*% R
cov(X)

#####---------------------------------------------------------------------------
##### 2.10 Arrays
(myArr1 <- array(1:12, c(2, 3, 2),
                 dimnames=list(c("f", "m"), c("CG", "WL", "T"), c("high", "low"))))
myArr1[1, 3, 2]
myArr2 <- myArr1*2
myArr2[ , , 1]

#####---------------------------------------------------------------------------
##### 2.11 Hufigkeitsauszhlungen
##### 2.11.1
(myLetters <- sample(LETTERS[1:5], 12, replace=TRUE))
## fr Daten des Buches diese Datei laden:
# load("data_myLetters.Rdata")
(tab       <- table(myLetters))
names(tab)
tab["B"]
names(tab)[1] <- "F"; tab

table(myLetters) / length(myLetters)
prop.table(table(myLetters))

tab["Q"] <- 0; tab
tabOrder <- order(names(tab))
tab[tabOrder]

letFac         <- factor(myLetters, levels=LETTERS[1:5])
levels(letFac) <- c(levels(letFac), "Q"); letFac
table(letFac)

##### 2.11.2
tabulate(c(1, 2, 2, 3, 3, 3))
tabulate(c(1, 2, 2, 4, 4, 4, 4), nbins=5)
tabulate(c(-1, 0, 1, 2, 2, 4, 4, 4, 4, 6), nbins=5)

##### 2.11.3
(vec <- rep(rep(c("f", "m"), 3), c(1, 3, 2, 4, 1, 2)))
(res <- rle(vec))
length(res$lengths)
inverse.rle(res)

##### 2.11.4
(work    <- factor(sample(c("home", "office"), 10, replace=TRUE)))
(sex     <- factor(sample(c("f", "m"), 10, replace=TRUE)))
## fr Daten des Buches diese Datei laden:
# load("data_xtabs.Rdata")
table(sex, work)
(relFreq <- prop.table(table(sex, work)))
rSums    <- rowSums(relFreq)
cSums    <- colSums(relFreq)
sweep(relFreq, 1, rSums, "/")
sweep(relFreq, 2, cSums, "/")
## einfacherer Weg ber das margin=<Zahl> Argument von prop.table()
# prop.table(table(sex, work), margin=1)
# prop.table(table(sex, work), margin=2)

(group <- factor(sample(c("A", "B"), 10, replace=TRUE)))
ftable(work, sex, group, row.vars="work", col.vars=c("sex", "group"))
(persons <- data.frame(sex, work))
xtabs(~ sex + work, data=persons)
summary(table(sex, work))

##### 2.11.5
## fr Daten des Buches diese Datei laden:
# load("data_xtabs.Rdata")
apply(xtabs(data=persons), MARGIN=1, FUN=sum)
colMeans(xtabs(data=persons))
addmargins(xtabs(data=persons), c(1, 2), mean)

##### 2.11.6
(vec    <- round(rnorm(10), 2))
(myStep <- ecdf(vec))
myStep(vec)
myStep(sort(vec))
knots(myStep)

steps   <- 1:3
heights <- c(1, 2, 4, 3)
(sFun0  <- stepfun(steps, heights, f=0))
sFun25  <- stepfun(steps, heights, f=0.25)
sFun50  <- stepfun(steps, heights, f=0.50)
sFun75  <- stepfun(steps, heights, f=0.75)
sFun1   <- stepfun(steps, heights, f=1)
x       <- seq(from=0.5, to=3.5, by=0.5)
cbind(x, f0=sFun0(x), f25=sFun25(x), f50=sFun50(x), f75=sFun75(x), f1=sFun1(x))

dev.new(width=12, height=4.5)
op <- par(mfrow=c(1, 3), cex.lab=1.5, cex.main=1.5)
plot(sFun0)
plot(sFun50)
plot(sFun1)
par(op)

#####---------------------------------------------------------------------------
##### 2.12 Codierung, Identifikation und Behandlung fehlender Werte
##### 2.12.1
(vec1 <- c(10, 20, NA, 40, 50, NA))
length(vec1)
is.na(vec1)

vec2   <- c(NA, 7, 9, 10, 1, 8)
(matNA <- rbind(vec1, vec2))
is.na(matNA)

any(is.na(vec1))
sum(is.na(vec1))
which(is.na(vec1))

##### 2.12.2
vecOrg     <- c(30, 25, 23, 21, 99, 999)
vecNA      <- vecOrg
(idx       <- (vecOrg == 99) | (vecOrg == 999))
idx        <- vecOrg %in% c(99, 999)
vecNA[idx] <- NA; vecNA

(matOrg    <- matrix(vecOrg, 2, 3))
matNA      <- matOrg
idx        <- (matOrg == 99) | (matOrg == 999)
matNA[idx] <- NA; matNA

##### 2.12.3
goodIdx <- !is.na(vecNA)
mean(vecNA[goodIdx])
sd(na.omit(vecNA))

sum(vecNA)
sum(vecNA, na.rm=TRUE)
apply(matNA, 1, mean)
apply(matNA, 1, mean, na.rm=TRUE)

##### 2.12.4
##### 2.12.4.1
ageNA  <- c(18, NA, 27, 22)
DV1    <- c(NA, 1, 5, -3)
DV2    <- c(9, 4, 2, 7)
(matNA <- cbind(ageNA, DV1, DV2))

(rowNAidx <- apply(is.na(matNA), 1, any))
matNA[!rowNAidx, ]

na.omit(matNA)
colMeans(na.omit(matNA))

cov(matNA, use="complete.obs")
all(cov(matNA, use="complete.obs") == cov(na.omit(matNA)))

##### 2.12.4.2
rowMeans(matNA)
rowMeans(mat, na.rm=TRUE)
cov(matNA, use="pairwise.complete.obs")

##### 2.12.5

#####---------------------------------------------------------------------------
##### 2.13 Zeichenketten verarbeiten
##### 2.13.1
randVals <- round(rnorm(5), 2)
toString(randVals)
formatC(c(1, 2.345), width=5, format="f")

##### 2.13.2
paste("group", LETTERS[1:5], sep="_")
paste(1:5, palette()[1:5], sep=": ")

nSubj <- 20
gName <- "A"
mVal  <- 14.2
sprintf("For the %d particpants in group %s, the mean was %f", nSubj, gName, mVal)
sprintf("%.3f", 1.23456)

cVar <- "A string"
cat(cVar, "with\n", 4, "\nwords\n", sep="+")

##### 2.13.3
tolower(c("A", "BC", "DEF"))
toupper(c("ghi", "jk", "i"))
strReverse <- function(x) { sapply(lapply(strsplit(x, NULL), rev), paste, collapse="") }
strReverse(c("Lorem", "ipsum", "dolor", "sit"))
substring(c("ABCDEF", "GHIJK", "LMNO", "PQR"), 4, 5)

charVec <- c("ABCDEF", "GHIJK", "LMNO", "PQR")
substring(charVec, 4, 5) <- c("..", "xx", "++", "**"); charVec

strsplit(c("abc_def_ghi", "jkl_mno"), "_")

##### 2.13.4
 match(c("abc", "de", "f", "h"), c("abcde", "abc", "de", "fg", "ih"))
pmatch(c("abc", "de", "f", "h"), c("abcde", "abc", "de", "fg", "ih"))
grep( "A[BC][[:blank:]]", c("AB ", "AB", "AC ", "A "))
grepl("A[BC][[:blank:]]", c("AB ", "AB", "AC ", "A "))
glob2rx("asdf*.txt")

##### 2.13.5
sub("em", "XX", "Lorem ipsum dolor sit Lorem ipsum")
gsub("em", "XX", "Lorem ipsum dolor sit Lorem ipsum")

##### 2.13.6
obj1 <- parse(text="3 + 4")
obj2 <- parse(text=c("vec <- c(1, 2, 3)", "vec^2"))
eval(obj1)
eval(obj2)

#####---------------------------------------------------------------------------
##### 2.14 Datum und Uhrzeit
##### 2.14.1
Sys.Date()

(myDate <- as.Date("01.11.1974", format="%d.%m.%Y"))
format(myDate, format="%d.%m.%Y")
myDate + 365

(diffDate <- as.Date("1976-06-19") - myDate)
myDate + diffDate

(myTime   <- as.POSIXct("2009-02-07 09:23:02"))
charDates <- c("05.08.1972, 03:37", "31.03.1981, 12:44")
(lDates   <- strptime(charDates, format="%d.%m.%Y, %H:%M"))
lDates$mday

lDates + 120
(diff21 <- lDates[2] - lDates[1])
lDates[1] + diff21

##### 2.14.2

####*---------------------------------------------------------------------------
##### 3 Datenstze
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 3.1 Listen
##### 3.1.1
myList1 <- list(c(1, 3), c(12, 8, 29, 5))
length(myList1)
myList1[[2]]
myList1[[2]][3]

(myList2 <- list(1:4, matrix(1:4, 2, 2), c("Lorem", "ipsum")))
myList2[[2]][1, 2]
myList2[[c(3, 2)]]
myList2[[2]]
class(myList2[[2]])
myList2[2]
class(myList2[2])

(myList3 <- list(1:5, 8:4, word="dolor"))
myList3[["word"]]
myList3$word

mat     <- cbind(1:10, sample(-10:10, 10, replace=FALSE))
retList <- cov.wt(mat, method="ML")
names(retList)
retList$cov
retList$center
retList$n.obs

##### 3.1.2
myListAA <- list(AAA=c(1, 2), AAB=c("AAB1", "AAB2", "AAB3"))
myMatAB  <- matrix(1:8, nrow=2)
myListBA <- list(BAA=matrix(rnorm(10), ncol=2), BAB=c("BAB1", "BAB2"))
myVecBB  <- sample(1:10, 5)
myListA  <- list(AA=myListAA, AB=myMatAB)
myListB  <- list(BA=myListBA, BB=myVecBB)
myList4  <- list(A=myListA, B=myListB)
str(myList4)
str(myList4$B)
str(myList4$B$BA)
myList4$B$BA$BAA[4, 2]

myList5 <- list(c(1, 2, 3), c("A", "B"), matrix(5:12, 2))
unlist(myList5)

#####---------------------------------------------------------------------------
##### 3.2 Datenstze
nSubj  <- 12
sex    <- sample(c("f", "m"), nSubj, replace=TRUE)
group  <- sample(rep(c("CG", "WL", "T"), 4), nSubj, replace=FALSE)
age    <- sample(18:35, nSubj, replace=TRUE)
IQ     <- round(rnorm(nSubj, mean=100, sd=15))
rating <- round(runif(nSubj, min=0, max=6))
(myDf1 <- data.frame(id=1:nSubj, sex, group, age, IQ, rating))

## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
dim(myDf1)
nrow(myDf1)
ncol(myDf1)
summary(myDf1)

##### 3.2.1
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
str(myDf1)

fac   <- c("CG", "T1", "T2")
DV1   <- c(14, 22, 18)
DV2   <- c("red", "blue", "blue")
myDf2 <- data.frame(fac, DV1, DV2, stringsAsFactors=FALSE)
str(myDf2)

fac   <- as.factor(fac)
myDf3 <- data.frame(fac, DV1, DV2, stringsAsFactors=FALSE)
str(myDf3)

##### 3.2.2
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
myDf1[[3]][2]
myDf1$rating
myDf1$age[4]
myDf1$IQ[10:12] <- c(99, 110, 89)
myDf1[3, 4]
myDf1[4, 3]
myDf1[2, ]
myDf1[, 4]
myDf1[1:5, 4, drop=FALSE]

##### 3.2.3
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
with(myDf1, tapply(IQ, group, mean))
xtabs(~ sex + group, data=myDf1)
## IQ[3]
attach(myDf1)
IQ[3]
search()[1:4]

IQ[3] <- 130; IQ[3]
myDf1$IQ[3]
detach(myDf1)
## IQ

##### 3.2.4
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
dimnames(myDf1)
names(myDf1)
names(myDf1)[3]
names(myDf1)[3] <- "fac"; names(myDf1)
names(myDf1)[names(myDf1) == "fac"] <- "group"; names(myDf1)

(rows <- paste("Z", 1:12, sep=""))
rownames(myDf1) <- rows; myDf1[1:5, ]

##### 3.2.5
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
isSingle <- sample(c(TRUE, FALSE), nrow(myDf1), replace=TRUE)
myDf2    <- myDf1
myDf2$isSingle1    <- isSingle
myDf2["isSingle2"] <- isSingle
myDf3 <- cbind(myDf1, isSingle); myDf3[1:5, ]
myDf4 <- transform(myDf3, rSq=rating^2); myDf4[1:3, ]

dfTemp          <- myDf1
dfTemp$group    <- NULL; dfTemp[1:5, ]

delVars         <- c("sex", "IQ")
nullList        <- vector("list", length(delVars))
dfTemp[delVars] <- nullList; dfTemp[1:5, ]

##### 3.2.6
##### 3.2.6.1
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
(idxLog <- myDf1$sex == "f")
(idxNum <- which(idxLog))
myDf1[idxNum, ]

(idx2 <- (myDf1$sex == "m") & (myDf1$rating > 2))
myDf1[which(idx2), ]

(idx3 <-    (myDf1$IQ < 90) | (myDf1$IQ > 110))
myDf1[which(idx3), ]

myDf1[1:4, c("group", "IQ")]
myDf1[1:4, 2:4]

dfTemp         <- myDf1
(names(dfTemp) <- paste(rep(c("A", "B"), each=3), 100:102, sep=""))
(colIdx        <- grep("^B.*$", names(dfTemp)))
dfTemp[1:4, colIdx]

##### 3.2.6.2
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
subset(myDf1, sex == "f")
subset(myDf1, sex == "f", select=-2)
subset(myDf1, (myDf1$sex == "m") & (myDf1$rating > 2))
subset(myDf1, (myDf1$IQ   <  90) | (myDf1$IQ     > 110))
subset(myDf1, group %in% c("CG", "WL"))

##### 3.2.7
nSubj  <- 4
vec1   <- sample(1:10, nSubj, replace=TRUE)
vec2   <- sample(1:10, nSubj, replace=TRUE)
vec3   <- sample(1:10, nSubj, replace=TRUE)
dfTemp <- data.frame(cond1=vec1, cond2=vec2, cond3=vec3)

(res   <- stack(dfTemp, select=c("cond1", "cond3")))
str(res)
unstack(res)

res$newIV <- factor(sample(rep(c("A", "B"), c(4, 4)), 8, replace=FALSE))
res$newDV <- sample(100:200, 8)
unstack(res, newDV ~ newIV)

##### 3.2.8
nSubj   <- 2
nGroups <- 2
id      <- 1:(nGroups*nSubj)
group   <- factor(rep(c("A", "B"), nSubj))
DV_t1   <- round(rnorm(nGroups*nSubj, -1, 1), 2)
DV_t2   <- round(rnorm(nGroups*nSubj,  0, 1), 2)
DV_t3   <- round(rnorm(nGroups*nSubj,  1, 1), 2)
(dfWide <- data.frame(id, group, DV_t1, DV_t2, DV_t3))

DVL     <- c(DV_t1, DV_t2, DV_t3)
idL     <- rep(id, 3)
groupL  <- rep(group, 3)
timeFac <- factor(rep(1:3, each=nSubj*nGroups))
dfLong  <- data.frame(id=idL, group=groupL, varTime=timeFac, DV=DVL)
dfLong[order(dfLong$id), ]

resLong <- reshape(dfWide, varying=list(c("DV_t1", "DV_t2", "DV_t3")),
                   direction="long", idvar=c("id", "group"), v.names="DV")
resLong[order(resLong$id), ]
reshape(dfLong, v.names="DV", timevar="varTime", idvar=c("id", "group"),
        direction="wide")

nSubj  <- 4
id     <- 1:nSubj
t_11   <- round(rnorm(nSubj,  8, 2), 2)
t_12   <- round(rnorm(nSubj, 10, 2), 2)
t_21   <- round(rnorm(nSubj, 13, 2), 2)
t_22   <- round(rnorm(nSubj, 15, 2), 2)
t_31   <- round(rnorm(nSubj, 13, 2), 2)
t_32   <- round(rnorm(nSubj, 15, 2), 2)
dfWide <- data.frame(id, t_11, t_12, t_21, t_22, t_31, t_32)

(dfLong1 <- reshape(dfWide,  varying=list(c("t_11", "t_21", "t_31"),
                                          c("t_12", "t_22", "t_32")),
                    direction="long", timevar="IV1", idvar="id",
                    v.names=c("IV2-1", "IV2-2")))

dfLong2  <- reshape(dfLong1, varying=list(c("IV2-1", "IV2-2")),
                    direction="long", timevar="IV2", idvar=c("id", "IV1"),
                    v.names="DV")
head(dfLong2)

##### 3.2.9
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
(splitRes <- split(myDf1, myDf1$group))
myDf1CG   <- splitRes$CG
class(myDf1CG)
(meanIqT  <- mean(splitRes$T$IQ))
(meanIqWL <- mean(splitRes$WL$IQ))
(meanIqCG <- mean(splitRes$CG$IQ))

tapply(myDf1$IQ, myDf1$group, mean)

##### 3.2.10
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
(dfNew <- data.frame(id=13:15, group=c("CG", "WL", "T"), sex=c("f", "f", "m"),
                     age=c(18, 31, 21), IQ=c(116, 101, 99), rating=c(4, 4, 1)))
dfComb <- rbind(myDf1, dfNew); dfComb[11:15, ]

(dfA <- data.frame(id=1:4, initials=c("AB", "CD", "EF", "GH"),
                   IV1=c("-", "-", "+", "+"), DV1=c(10, 10, 11, 14)))
(dfB <- data.frame(id=1:4, initials=c("AB", "CD", "EF", "GH"),
                   IV2=c("A", "B", "A", "B"), DV2=c(91, 89, 92, 79)))

merge(dfA, dfB)
merge(dfA, dfB, by.x=c(TRUE, FALSE, FALSE, FALSE),
                by.y=c(TRUE, FALSE, FALSE, FALSE))

(dfC <- data.frame(id=3:6, initials=c("EF", "GH", "IJ", "KL"),
                   IV2=c("A", "B", "A", "B"), DV2=c(92, 79, 101, 81)))
merge(dfA, dfC)
merge(dfA, dfC, all.y=TRUE)
merge(dfA, dfC, all.x=TRUE, all.y=TRUE)

##### 3.2.11
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
(myList <- lapply(myDf1[ , c(1, 4, 5, 6)], mean))
sapply(myDf1[ , c(1, 4, 5, 6)], range)
sapply(myDf1, is.numeric)
dataNum <- myDf1[ , sapply(myDf1, is.numeric)]; dataNum[1:5, ]

replicate(6, round(rnorm(4), 2))

do.call("c", myList)
work   <- factor(sample(c("home", "office"), 20, replace=TRUE))
hiLo   <- factor(sample(c("hi", "lo"),       20, replace=TRUE))
group  <- factor(sample(c("A", "B"),         20, replace=TRUE))
argLst <- list(fac1=work, fac2=hiLo, fac3=group, row.vars="fac1",
               col.vars=c("fac2", "fac3"))
do.call("ftable", argLst)

##### 3.2.12
x1    <- rnorm(100, 10, 10)
y1    <- rnorm(100, 10, 10)
x2    <- x1 + rnorm(100, 5, 4)
y2    <- y1 + rnorm(100, 10, 4)
myDf2 <- data.frame(cbind(x1, y1))
myDf3 <- data.frame(cbind(x2, y2))
mapply(t.test, myDf2, myDf3, MoreArgs=list(alternative="less", var.equal=TRUE))

##### 3.2.13
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
aggregate(myDf1[ , 4:6], list(myDf1$sex, myDf1$group), mean)
by(myDf1[ , 4:6], list(myDf1$sex, myDf1$group), FUN=mean)

##### 3.2.14
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
myDfDouble <- rbind(myDf1, myDf1[sample(1:nrow(myDf1), 4), ])
duplicated(myDfDouble)
myDfUnique <- unique(myDfDouble)

myDfNA           <- myDf1
myDfNA$IQ[4]     <- NA
myDfNA$rating[5] <- NA

is.na(myDfNA)[1:5, 4:6]
apply(is.na(myDfNA), 2, any)
complete.cases(myDfNA)
subset(myDfNA, !complete.cases(myDfNA))
na.omit(myDfNA)[1:5, ]

##### 3.2.15
## fr Daten des Buches diese Datei laden:
# load("data_myDf1.Rdata")
(idx1 <- order(myDf1$rating))
myDf1[idx1, ]
(idx2 <- order(myDf1$group, myDf1$IQ))
myDf1[idx2, ]

####*---------------------------------------------------------------------------
##### 4 Befehle und Daten verwalten
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 4.1 Befehlssequenzen im Editor bearbeiten

#####---------------------------------------------------------------------------
##### 4.2 Daten importieren und exportieren
##### 4.2.1
## vec <- scan()
## charVec <- scan(what="character")

##### 4.2.2
getwd()
myDf <- data.frame(IV=factor(rep(c("A", "B"), 5)), DV=rnorm(10))
## myDf <- edit(myDf)
## fix(myDf)
## newDf <- edit(data.frame())

##### 4.2.3
## (xDf <- read.table(file=stdin(), header=TRUE))
write.table(myDf, file="data.txt")
myDf <- read.table("data.txt", header=TRUE)
str(myDf)

##### 4.2.4
save(myDf, file="data.RData")
load("data.RData")
dump("myDf", file="dumpMyDf.txt")
source("dumpMyDf.txt")

##### 4.2.5
##### 4.2.5.1
## myDf <- read.table("clipboard", sep="\t", dec=",")

##### 4.2.5.2
##### 4.2.5.3
## library(RODBC)
## xlsCon   <- odbcConnectExcel("data.xls")
## odbcGetInfo(xlsCon)
## sqlTables(xlsCon)
## (myDfXls <- sqlFetch(xlsCon, "table1"))
## sqlQuery(xlsCon, "select IV, DV from [table1$] order by IV")
## sqlQuery(xlsCon, "select * from [table1$] where IV = 'A' AND DV < 10")
## odbcClose(xlsCon)

####*---------------------------------------------------------------------------
##### 5 Hilfsmittel fr die Inferenzstatistik
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 5.1 Formulierung linearer Modelle
Y ~ X1 + X2 + X3
Y ~ X1 - 1
Y ~ X1 + X2 + X1:X2
Y ~ X1*X2
Y ~ X1*X2*X3
Y ~ (X1 + X2 + X3)^2

terms(Y ~ X1*X2*X3)
terms(Y ~ (X1 + X2 + X3)^2 - X1 - X2:X3)

log(Y) ~ abs(X)
Y ~ I(X*2)

#####---------------------------------------------------------------------------
##### 5.2 Funktionen von Zufallsvariablen
##### 5.2.1
dbinom(7, 10, 0.5)
choose(10, 7) * 0.5^7 * (1-0.5)^(10-7)

##### 5.2.2
pbinom(7, size=10, prob=0.5)
sum(dbinom(0:7, size=10, prob=0.5))
pnorm(c(-Inf, 0, Inf), mean=0, sd=1)
pnorm(1.645, mean=0, sd=1, lower.tail=FALSE)
1-pnorm(1.645, mean=0, sd=1, lower.tail=TRUE)
m <- 100
s <- 15
pnorm(m+s, mean=m, sd=s) - pnorm(m-s, mean=m, sd=s)

##### 5.2.3
qnorm(pnorm(0))
qnorm(1-(0.05/2), 0, 1)
qt(1-0.01, 18, 0)

#####---------------------------------------------------------------------------
##### 5.3 Behandlung fehlender Werte in inferenzstatistischen Tests

####*---------------------------------------------------------------------------
##### 6 Methoden der Biostatistik
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 6.1 Anpassungstests
##### 6.1.1
draws <- 7
hits  <- 5
pH0   <- 0.25
binom.test(hits, draws, p=pH0, alternative="greater", conf.level=0.95)

binom.test(10, 20, p=0.25, alternative="two.sided")
sum(dbinom(10:20, 20, 0.25)) + sum(dbinom(0, 20, 0.25))

(pVal  <- 1-pbinom(hits-1, draws, pH0))
(critB <- qbinom(1-0.05, draws, pH0))

resG <- binom.test(hits, draws, p=pH0, alternative="greater")
resG$p.value
resL <- binom.test(draws-hits, draws, p=pH0, alternative="less")
resL$p.value
resG$p.value + resL$p.value

##### 6.1.2
queue <- c("f", "m", "m", "f", "m", "f", "f", "f")
Ns    <- table(queue)
(runs <- rle(queue))
(rr   <- length(runs$lengths))
(rr1  <- sum(runs$values == names(Ns)[1]))
(rr2  <- sum(runs$values == names(Ns)[2]))

getP <- function(r1, r2, n1, n2) {
    # Anzahl Iterationen einer Gruppe hchstens Gruppengre
    if((r1 > n1) | (r2 > n2)) { return(0) }
    
    # Punktwahrscheinlichkeit fr r1+r2 ungerade
    p <- (choose(n1-1, r1-1) * choose(n2-1, r2-1)) / choose(n1+n2, n1)
    
    # Punktwahrscheinlichkeit fr r1+r2 gerade: das doppelte von ungerade
    if(((r1+r2) %% 2) == 0) { 2*p } else { p }
}

nn1   <- Ns[1]
nn2   <- Ns[2]
N     <- sum(Ns)
rMin  <- 2
(rMax <- ifelse(nn1 == nn2, N, 2*min(nn1, nn2) + 1))

p3.2 <- getP(3, 2, nn1, nn2)
p2.3 <- getP(2, 3, nn1, nn2)
p3.3 <- getP(3, 3, nn1, nn2)
p4.3 <- getP(4, 3, nn1, nn2)
p3.4 <- getP(3, 4, nn1, nn2)

(pValGr <- p3.2 + p2.3 + p3.3 + p4.3 + p3.4)

p2.2 <- getP(2, 2, nn1, nn2)
p1.2 <- getP(1, 2, nn1, nn2)
p2.1 <- getP(2, 1, nn1, nn2)
p1.1 <- getP(1, 1, nn1, nn2)

(pValLe <- p2.2 + p1.2 + p2.1 + p1.1)

(pValGr + pValLe)

muR   <- 1 + ((2*nn1*nn2) / N)
varR  <- (2*nn1*nn2*(2*nn1*nn2 - N)) / (N^2 * (N-1))
rZ    <- (rr-muR) / sqrt(varR)
(pVal <- 1-pnorm(rZ))

##### 6.1.3
vec <- rnorm(8, mean=1, sd=2)
## fr Daten des Buches diese Datei laden:
# load("data_ks.Rdata")
ks.test(vec, "pnorm", mean=1, sd=2, alternative="two.sided")

myStep  <- ecdf(vec)
sortVec <- sort(vec)
emp     <- myStep(sortVec)
theo    <- pnorm(sortVec, mean=1, sd=2)

diff1   <- emp-theo
diff2   <- c(0, emp[1:(length(emp)-1)]) - theo

(DtwoS  <- max(abs(c(diff1, diff2))))
(Dless  <- abs(min(c(diff1, diff2))))
(Dgreat <- abs(max(c(diff1, diff2))))

ks.test(vec, "pnorm", mean=1, sd=2, alternative="less")$statistic
ks.test(vec, "pnorm", mean=1, sd=2, alternative="greater")$statistic

dev.new(width=7, height=7)
myX <- seq(-6, 6, length.out=200)
plot(myStep, main="Kolmogorov-Smirnov-Anpassungstest", xlab=NA, cex.lab=1.4)
points(myX, pnorm(myX, mean=1, sd=2), type="l")
matlines(rbind(sortVec, sortVec), rbind(emp, theo),
         col=rgb(0, 0, 1, 0.7), lty=1, lwd=2)
matlines(rbind(sortVec, sortVec), rbind(c(0, emp[1:(length(emp)-1)]), theo),
         col=rgb(1, 0, 0, 0.5), lty=1, lwd=2)
legend(x="topleft", legend=c("direkte Differenzen", "verschobene Differenzen"),
       col=c("blue", "red"), lwd=2)

##### 6.1.4
nToss  <- 50
nCateg <- 6
pH0    <- rep(1/nCateg, nCateg)
myData <- sample(1:nCateg, nToss, replace=TRUE)
## fr Daten des Buches diese Datei laden:
# load("data_chisqDistrFix.Rdata")
(tab   <- table(myData))
chisq.test(tab, p=pH0)

expected   <- pH0 * nToss
(statChisq <- sum((tab-expected)^2 / expected))
(pVal      <- 1-pchisq(statChisq, nCateg-1))

##### 6.1.5
myData    <- rnorm(100, mean=100, sd=15)
## fr Daten des Buches diese Datei laden:
# load("data_chisqDistrClass.Rdata")
limits    <- c(80, 90, 100, 110, 120)
dataCut   <- cut(myData, c(-Inf, limits, Inf))
(dataFreq <- table(dataCut))

zLimits   <- (limits-mean(myData)) / sd(myData)
zLimits   <- c(-Inf, zLimits, Inf)
(freqExp  <- diff(pnorm(zLimits)) * length(myData))
(resChisq <- chisq.test(dataFreq, p=diff(pnorm(zLimits))))

statChisq <- resChisq$statistic
realDf    <- resChisq$parameter - 2
(realPval <- 1-pchisq(statChisq, realDf))

#####---------------------------------------------------------------------------
##### 6.2 Analyse von (gemeinsamen) Hufigkeiten kategorialer Variablen
##### 6.2.1
smokes   <- factor(sample(c("no", "yes"), 50, replace=TRUE))
siblings <- factor(round(abs(rnorm(50, 1, 0.5))))
## fr Daten des Buches diese Datei laden:
# load("data_chisqInd.Rdata")
cTab     <- table(smokes, siblings)
addmargins(cTab)
chisq.test(cTab)

J          <- nlevels(smokes)
K          <- nlevels(siblings)
expected   <- outer(rowSums(cTab), colSums(cTab)) / sum(cTab)
(statChisq <- sum((cTab-expected)^2 / expected))
(pVal      <- 1-pchisq(statChisq, (J-1)*(K-1)))

##### 6.2.2
voteX   <- rep(LETTERS[1:5], c(3,  8, 12, 19, 8))
voteY   <- rep(LETTERS[1:5], c(8, 17, 16,  7, 2))
vote    <- c(voteX, voteY)
studies <- factor(rep(c("X", "Y"), c(length(voteX), length(voteY))))
cTab    <- table(studies, vote)
addmargins(cTab)
chisq.test(cTab, simulate.p.value=TRUE)

##### 6.2.3
total <- c(5000, 5000, 5000)
hits  <- c(585, 610, 539)
prop.test(hits, total)

(mat <- cbind(hits, total-hits))
chisq.test(mat)

##### 6.2.4
disease <- factor(rep(c("no", "yes"),   c(10, 5)))
diagN   <- rep(c("isHealthy", "isIll"), c( 8, 2))
diagY   <- rep(c("isHealthy", "isIll"), c( 1, 4))
diagT   <- factor(c(diagN, diagY))
contT1  <- table(disease, diagT)
addmargins(contT1)
fisher.test(contT1, alternative="greater")

(p1 <- choose(8+1, 8) * choose(6, 2) / choose(15, 10))
dhyper(8, 10, 5, 9)
(p2 <- choose(9+0, 9) * choose(6, 1) / choose(15, 10))
dhyper(9, 10, 5, 9)
(pVal <- p1+p2)

##### 6.2.5
smokesFem  <- rbinom(20, size=1, p=0.6)
smokesMale <- rbinom(20, size=1, p=0.4)
smokes     <- factor(c(smokesFem, smokesMale), labels=c("no", "yes"))
sex        <- factor(rep(c("f", "m"), c(20, 20)))
## fr Daten des Buches diese Datei laden:
# load("data_fisherDistrEq.Rdata")
contT2     <- table(sex, smokes)
addmargins(contT2)
fisher.test(contT2, alternative="less")

##### 6.2.6
## fr Daten des Buches diese Datei laden:
# load("data_fisherInd.Rdata")
addmargins(contT1)
TP <- contT1[2, 2]
TN <- contT1[1, 1]
FP <- contT1[1, 2]
FN <- contT1[2, 1]

(prevalence  <- sum(contT1[2, ]) / sum(contT1))
(sensitivity <- recall    <- TP / (TP+FN))
(specificity <- TN / (TN+FP))
(relevance   <- precision <- TP / (TP+FP))
(probT       <- sum(diag(contT1)) / sum(contT1))
(Fval        <- 2 * (precision*recall) / (precision+recall))

#####---------------------------------------------------------------------------
##### 6.3 Mae fr Zusammenhang und bereinstimmung kategorialer Daten
##### 6.3.1
vec1 <- c(100, 76, 56, 99, 50, 62, 36, 69, 55,  17)
vec2 <- c(42,  74, 22, 99, 73, 44, 10, 68, 19, -34)
cor(vec1, vec2, method="spearman")
cor(rank(vec1), rank(vec2))

cor(vec1, vec2, method="kendall")
cmpMat1 <- outer(vec1, vec1, ">")
cmpMat2 <- outer(vec2, vec2, ">")
selMat  <- upper.tri(cmpMat1)
nCP     <- sum((cmpMat1 == cmpMat2)[selMat])
nDP     <- sum((cmpMat1 != cmpMat2)[selMat])
nSubj   <- length(vec1)
nPairs  <- choose(nSubj, 2)
(tau    <- (nCP-nDP) / nPairs)

cor.test(vec1, vec2, method="spearman")
sum((rank(vec1)-rank(vec2))^2)

cor.test(vec1, vec2, method="kendall")

##### 6.3.2
vec1 <- c(100, 76, 56, 99, 50, 62, 36, 69, 55,  17)
vec2 <- c(42,  74, 22, 99, 73, 44, 10, 68, 19, -34)
cTab <- table(vec1, vec2)
N    <- sum(cTab)

library(vcd)
assocstats(cTab)

expected  <- outer(rowSums(cTab), colSums(cTab)) / N
(chisqVal <- sum((cTab-expected)^2 / expected))
chisq.test(cTab)$statistic

(phiVal  <- sqrt(chisqVal / N))

L        <- min(nrow(cTab), ncol(cTab))
phisqMax <- L-1
chisqMax <- N*phisqMax

(CrV <- sqrt(chisqVal / chisqMax))

(contCoeff <- sqrt(chisqVal / (N+chisqVal)))

##### 6.3.3
##### 6.3.3.1
categ  <- c("V", "N", "P")
rater1 <- rep(categ, c(60, 30, 10))
rater2 <- c(rep(categ, c(53, 5, 2)), rep(categ, c(11, 14, 5)),
            rep(categ, c(1, 6, 3)))
r1fac  <- factor(rater1, levels=categ)
r2fac  <- factor(rater2, levels=categ)
cTab   <- table(r1fac, r2fac)
addmargins(cTab)

library(irr)
agree(cbind(rater1, rater2))

(fObs <- sum(diag(cTab)) / sum(cTab))

rater3 <- c(rep(categ, c(48, 8, 3)), rep(categ, c(15, 10, 7)),
            rep(categ, c(3, 4, 2)))
library(irr)
agree(cbind(rater1, rater2, rater3))

r3fac <- factor(rater3, levels=categ)
cTab3 <- table(r1fac, r2fac, r3fac)
sum(diag(apply(cTab3, 3, diag))) / sum(cTab3)

##### 6.3.3.2
library(irr)
kappa2(cbind(rater1, rater2))

fObs    <- sum(diag(cTab)) / sum(cTab)
fExp    <- sum(rowSums(cTab) * colSums(cTab)) / sum(cTab)^2
(Ckappa <- (fObs-fExp) / (1-fExp))

##### 6.3.3.3
rater1 <- letters[c(4,2,2,5,2, 1,3,1,1,5, 1,1,2,1,2, 3,1,1,2,1, 5,2,2,1,1, 2,1,2,1,5)]
rater2 <- letters[c(4,2,3,5,2, 1,3,1,1,5, 4,2,2,4,2, 3,1,1,2,3, 5,4,2,1,4, 2,1,2,3,5)]
rater3 <- letters[c(4,2,3,5,2, 3,3,3,4,5, 4,4,2,4,4, 3,1,1,4,3, 5,4,4,4,4, 2,1,4,3,5)]
rater4 <- letters[c(4,5,3,5,4, 3,3,3,4,5, 4,4,3,4,4, 3,4,1,4,5, 5,4,5,4,4, 2,1,4,3,5)]
rater5 <- letters[c(4,5,3,5,4, 3,5,3,4,5, 4,4,3,4,4, 3,5,1,4,5, 5,4,5,4,4, 2,5,4,3,5)]
rater6 <- letters[c(4,5,5,5,4, 3,5,4,4,5, 4,4,3,4,5, 5,5,2,4,5, 5,4,5,4,5, 4,5,4,3,5)]

rateMat <- cbind(rater1, rater2, rater3, rater4, rater5, rater6)
library(irr)
kappam.fleiss(rateMat)

nRater   <- ncol(rateMat)
nObs     <- nrow(rateMat)
ratings  <- c(rater1, rater2, rater3, rater4, rater5, rater6)
obsFac   <- factor(rep(1:nObs, nRater))
cTab     <- xtabs(~ obsFac + ratings)
(rateTab <- prop.table(table(ratings)))
(fExp    <- sum(rateTab^2))
fObsAll  <- apply(cTab, 1, function(x) { sum(x*(x-1)) / (nRater*(nRater-1)) } )
(fObs    <- mean(fObsAll))
(Fkappa  <- (fObs-fExp) / (1-fExp))

##### 6.3.3.4
categ <- c("<10%", "11-20%", "21-30%", "31-40%", "41-50%", ">50%")
lvls  <- factor(categ, levels=categ)
tv1   <- rep(lvls, c(22, 21, 23, 16, 10, 8))
tv2   <- rep(rep(lvls, nlevels(lvls)), c(5,8,1,2,4,2, 3,5,3,5,5,0, 1,2,6,11,2,1,
                 0,1,5,4,3,3, 0,0,1,2,5,2, 0,0,1, 2,1,4))
cTab  <- table(tv1, tv2)
addmargins(cTab)
library(irr)
kappa2(cbind(tv1, tv2), weight="equal")

P          <- ncol(cTab)
(expected  <- outer(rowSums(cTab), colSums(cTab)) / sum(cTab))
(myWeights <- seq(0, 1, length.out=P))
weightsMat <- matrix(0, nrow=P, ncol=P)
for (i in 1:P) {
    weightsMat[i, ] <- c(rev(myWeights), myWeights[2:P])[(P-(i-1)):(2*P-i)]
}

weightsMat
wfObs   <-     sum(cTab * (1-weightsMat)) / sum(cTab)
wfExp   <- sum(expected * (1-weightsMat)) / sum(cTab)
(wKappa <- (wfObs-wfExp) / (1-wfExp))

##### 6.3.3.5
rater1  <- c(1, 6, 3, 2, 5, 4)
rater2  <- c(1, 5, 6, 2, 4, 3)
rater3  <- c(2, 3, 6, 5, 4, 1)
ratings <- cbind(rater1, rater2, rater3)

library(irr)
kendall(ratings)

rankMat  <- ratings
nObj     <- nrow(rankMat)
nRater   <- ncol(rankMat)
(rankSum <- apply(rankMat, 1, sum))

(S <- sum((rankSum - (nRater*(nObj+1) / 2))^2))
(W <- 12*S / (nRater^2 * nObj*(nObj^2 - 1)))

(chisqVal <- nRater * (nObj-1) * W)
(pVal     <- 1-pchisq(chisqVal, nObj-1))

##### 6.3.3.6
library(irr)
kripp.alpha(rbind(tv1, tv2), method="nominal")
kripp.alpha(rbind(tv1, tv2), method="interval")

#####---------------------------------------------------------------------------
##### 6.4 Tests auf bereinstimmung von Verteilungen
##### 6.4.1
m0     <- 30
myData <- sample(0:100, 20, replace=TRUE)
myData <- myData[myData != m0]
## fr Daten des Buches diese Datei laden:
# load("data_signTest.Rdata")
N      <- length(myData)
(obs   <- sum(myData > m0))

(pGreater  <- 1-pbinom(obs-1, N, 0.5))
(pLess     <-   pbinom(N-obs, N, 0.5))
(pTwoSided <- 2 * min(pLess, pGreater))

##### 6.4.2
IQ    <- c(99, 131, 118, 112, 128, 136, 120, 107, 134, 122)
medH0 <- 110

wilcox.test(IQ, alternative="greater", mu=medH0)

(diffIQ   <- IQ-medH0)
(idx      <- diffIQ > 0)
(rankDiff <- rank(abs(diffIQ)))
(V        <- sum(rankDiff[idx]))
(pVal     <- 1-psignrank(V-1, n=length(IQ)))

NN    <- 3
llW   <- lapply(numeric(NN), function(x) { c(0, 1) } )
(mat  <- as.matrix(expand.grid(llW)))
rMat  <- col(mat)
(vMat <- rMat * mat)
(rS   <- rowSums(vMat))

(dTab <- table(rS))
(pTab <- dTab /(2^NN))
sum(pTab)
dsignrank(0:sum(1:NN), NN)

##### 6.4.3
DV1    <- c(87, 55, 118, 106, 113)
DV2    <- c(91, 103, 102, 102, 130)
DV     <- c(DV1, DV2)
IV     <- rep(c("A", "B"), c(length(DV1), length(DV2)))
(DVtst <- IV[order(DV)])

Ns   <- table(DVtst)
runs <- rle(DVtst)
(rr  <- length(runs$lengths))
nn1  <- Ns[1]
nn2  <- Ns[2]
N    <- sum(Ns)

muR   <- 1 + ((2*nn1*nn2) / N)
varR  <- (2*nn1*nn2 * (2*nn1*nn2 - N)) / (N^2 * (N-1))
rZ    <- (rr-muR) / sqrt(varR)
(pVal <- 1-pnorm(rZ))

##### 6.4.4
DV1 <- round(rnorm(8, mean=1, sd=2), 2)
DV2 <- round(rnorm(8, mean=3, sd=2), 2)
## fr Daten des Buches diese Datei laden:
# load("data_ksTwo.Rdata")
ks.test(DV1, DV2, alternative="greater")

sortDV1  <- sort(DV1)
sortDV2  <- sort(DV2)
sortBoth <- sort(c(DV1, DV2))

both1    <- ecdf(DV1)(sortBoth)
both2    <- ecdf(DV2)(sortBoth)
diff1    <- both1-both2
diff2    <- c(0, both1[1:(length(both1)-1)]) - both2
diffBoth <- c(diff1, diff2)

(DtwoS   <- max(abs(diffBoth)))
(Dless   <- abs(min(diffBoth)))
(Dgreat  <- abs(max(diffBoth)))

ks.test(DV1, DV2, alternative="less"     )$statistic
ks.test(DV1, DV2, alternative="two.sided")$statistic

xRange <- c(min(sortBoth)-1, max(sortBoth)+1)

dev.new(width=7, height=7)
plot(ecdf(DV1), xlim=xRange, main="Kolmogorov-Smirnov-Test fr zwei Stichproben",
     xlab=NA, col.points="blue", col.hor="blue", lwd=2, cex.lab=1.4)
par(new=TRUE)
plot(ecdf(DV2), xlim=xRange, main=NA, xaxt="n", xlab=NA, ylab=NA, lwd=2,
     col.points="red", col.hor="red")
X  <- rbind(sortBoth, sortBoth)
Y1 <- rbind(both1, both2)
Y2 <- rbind(c(0, both1[1:(length(both1)-1)]), both2)
matlines(X, Y1, col="darkgray", lty=1, lwd=2)
matlines(X, Y2, col="darkgray", lty=1, lwd=2)
legend(x="bottomright", legend=c("kumulierte relative Hufigkeiten 1",
       "kumulierte relative Hufigkeiten 2"), col=c("blue", "red"), lwd=2)

##### 6.4.5
rtCntrl <- c(85, 106, 118, 81, 138, 90, 112, 119, 107, 95, 88, 103)
rtDrug  <- c(96, 105, 104, 108, 86, 84, 99, 101, 78, 124, 121, 97, 129, 87, 109)
wilcox.test(rtCntrl, rtDrug, alternative="greater")

n1      <- length(rtCntrl)
n2      <- length(rtDrug)
IV      <- factor(rep(1:2, c(n1, n2)), labels=c("control", "drug"))
rtAll   <- c(rtCntrl, rtDrug)
rankAll <- rank(rtAll)
(W      <- sum(rankAll[IV == "control"]) - sum(1:n1))
(pVal   <- 1-pwilcox(W-1, m=n1, n=n2))

(U <- sum(outer(rtCntrl, rtDrug, ">=")))

##### 6.4.6

##### 6.4.7
IQ1   <- c( 99, 131, 118, 112, 128, 136, 120, 107, 134, 122)
IQ2   <- c(134, 103, 127, 121, 139, 114, 121, 132)
IQ3   <- c(120, 133, 110, 141, 118, 124, 111, 138, 120)
IQ4   <- c(117, 125, 140, 109, 128, 137, 110, 138, 127, 141, 119, 148)
IQall <- c(IQ1, IQ2, IQ3, IQ4)
Ni    <- c(length(IQ1), length(IQ2), length(IQ3), length(IQ4))
N     <- sum(Ni)
IV    <- factor(rep(1:4, Ni), labels=c("I", "II", "III", "IV"))
KWdf  <- data.frame(id=1:N, IV, DV=IQall)
kruskal.test(DV ~ IV, data=KWdf)

rankAll   <- rank(IQall)
(rankSumI <- tapply(rankAll, IV, sum))
(H        <- (12 / (N*(N+1))) * sum(rankSumI^2/Ni) - 3*(N+1))
(pVal     <- 1-pchisq(H, nlevels(IV)-1))

##### 6.4.8
rpmCaff <- c(14, 13, 12, 11, 10)
rpmDS   <- c(11, 12, 13, 14, 15)
rpmDD   <- c(16, 15, 14, 13, 12)
rpmPlac <- c(13, 12, 11, 10,  9)
rpmAll  <- c(rpmCaff, rpmDS, rpmDD, rpmPlac)
nBl     <- length(rpmCaff)
P       <- 4
IV      <- factor(rep(1:P, each=nBl),
                  labels=c("Caffeine", "Single", "Double", "Placebo"))
blocks  <- factor(rep(1:nBl, P))
friedman.test(rpmAll, IV, blocks)

(rpmMat   <- cbind(rpmCaff, rpmDS, rpmDD, rpmPlac))
(rankMat  <- t(apply(rpmMat, 1, rank)))
(rankSumJ <- apply(rankMat, 2, sum))
(S        <- (12 / (nBl*P*(P+1))) * sum(rankSumJ^2) - 3*nBl*(P+1))
(pVal     <- 1-pchisq(S, P-1))

##### 6.4.9
pref  <- c(1,1,0,1,0, 0,1,0,0,1, 1,0,1,0,0, 1,1,1,1,1, 0,1,0,0,0,
           1,0,1,1,1, 0,0,0,0,0, 1,1,1,1,0, 0,1,0,1,1, 1,0,1,0,0)
nSubj <- 10
year  <- factor(rep(1981:1985, nSubj))
P     <- nlevels(year)
id    <- factor(rep(1:nSubj, each=P))

library(coin)
symmetry_test(pref ~ year | id, teststat="quad")

prefMat <- matrix(pref, nrow=nSubj, ncol=P, byrow=TRUE)
rSum    <- apply(prefMat, 1, sum)
cSum    <- apply(prefMat, 2, sum)
(Q      <- (P*(P-1)*sum((cSum-mean(cSum))^2)) / (P*sum(rSum) - sum(rSum^2)))
(pVal   <- 1-pchisq(Q, P-1))

##### 6.4.10
categ <- 1:3
drug  <- rep(categ, c(30, 50, 20))
plac  <- rep(rep(categ, length(categ)), c(14,7,9, 5,26,19, 1,7,12))
library(FSA)
summary(age.comp(drug, plac), what="symmetry")

cTabBow   <- table(drug, plac)
sqDiffs   <- (cTabBow-t(cTabBow))^2 / (cTabBow+t(cTabBow))
P         <- ncol(cTabBow)
(chisqVal <- sum(sqDiffs[upper.tri(cTabBow)]))
(BowDf    <- choose(P, 2))
P*(P-1)/2
(pVal     <- 1-pchisq(chisqVal, BowDf))

##### 6.4.11
nSubj     <- 20
smPre     <- rbinom(nSubj, size=1, p=0.6)
smPost    <- rbinom(nSubj, size=1, p=0.4)
smPreFac  <- factor(smPre,  levels=0:1, labels=c("no", "yes"))
smPostFac <- factor(smPost, levels=0:1, labels=c("no", "yes"))
## fr Daten des Buches diese Datei laden:
# load("data_mcnemar.Rdata")
cTab      <- table(smPreFac, smPostFac)
addmargins(cTab)
mcnemar.test(cTab, correct=FALSE)

library(coin)
symmetry_test(cTab, teststat="quad")

P         <- ncol(cTab)
(chisqVal <- (cTab[1, 2] - cTab[2, 1])^2 / (cTab[1, 2] + cTab[2, 1]))
(pVal     <- 1-pchisq(chisqVal, P*(P-1)/2))

##### 6.4.12
library(coin)
mh_test(cTabBow)

addmargins(cTabBow)
(Nij  <- ((cTabBow+t(cTabBow)) / 2)[upper.tri(cTabBow)])
(d    <- rowSums(cTabBow) - colSums(cTabBow))
num   <- sum(Nij * rev(d^2))
denom <- 2 * sum(apply(combn(Nij, 2), 2, prod))

(chisqVal <- num / denom)
(smmhDf   <- nrow(cTabBow)-1)
(pVal     <- 1-pchisq(chisqVal, smmhDf))

S         <- -(cTabBow + t(cTabBow))
diag(S)   <- rowSums(cTabBow) + colSums(cTabBow) - 2*diag(cTabBow)
keep      <- 1:(nrow(cTabBow)-1)
(chisqVal <- t(d[keep]) %*% solve(S[keep, keep]) %*% d[keep])

####*---------------------------------------------------------------------------
##### 7 Korrelation und Regressionsanalyse
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 7.1 Test auf Korrelation
nSubj <- 20
vec1  <- sample(0:100, nSubj, replace=TRUE)
vec2  <- vec1 + rnorm(nSubj, 0, 50)
## fr Daten des Buches diese Datei laden:
# load("data_corTest.Rdata")
cor.test(vec1, vec2)

r      <- cor(vec1, vec2)
(tVal  <- sqrt(nSubj-2) * r / sqrt(1-r^2))
(pVal  <- 2*(1-pt(tVal, nSubj-2)))

fishZ  <- 0.5 * log((1+r)/(1-r))
fishV  <- 1 / (nSubj-3)
zCrit  <- qnorm(1-(0.05/2), 0, 1)
zLo    <- fishZ - zCrit*sqrt(fishV)
zUp    <- fishZ + zCrit*sqrt(fishV)
(ciLo  <- (exp(1)^(2*zLo)-1) / (exp(1)^(2*zLo)+1))
(ciUp  <- (exp(1)^(2*zUp)-1) / (exp(1)^(2*zUp)+1))

#####---------------------------------------------------------------------------
##### 7.2 Einfache lineare Regression
nSubj  <- 100
height <- rnorm(nSubj, 175, 7)
weight <- 0.4*height + 10 + rnorm(nSubj, 0, 3)
## fr Daten des Buches diese Datei laden:
# load("data_linRegr.Rdata")
(model <- lm(weight ~ height))

(b <- cov(weight, height) / var(height))
(a <- mean(weight) - b*mean(height))
fitVals <- b * height + a

lm(scale(weight) ~ scale(height))
b * sd(height) / sd(weight)
cor(height, weight)

names(model)

dev.new(width=7, height=7)
plot(height, weight, xlab="height [cm]", ylab="weight [kg]", pch=20,
     main="Daten mit Zentroid, Regressionsgerade und Modellgerade", cex.lab=1.4)
abline(model, col="blue", lwd=2)
abline(a=10, b=0.4, col="gray", lwd=2)
points(mean(height), mean(weight), col="red", pch=4, lwd=3, cex=1.5)
legend(x="topleft", legend=c("Daten", "Zentroid", "Regressionsgerade", "Modellgerade"),
       col=c("black", "red", "blue", "gray"), lwd=c(1, 3, 2, 2),
       pch=c(20, 4, NA, NA), lty=c(NA, NA, 1, 1))

##### 7.2.1
## fr Daten des Buches diese Datei laden:
# load("data_linRegr.Rdata")
(sumRes <- summary(model))
## options(show.signif.stars=FALSE)

P      <- 1
(dfSSE <- nSubj-P-1)
MSE    <- sum(residuals(model)^2) / dfSSE
sqrt(MSE)

(rSq    <- sumRes$r.squared)
fitVals <- fitted(model)
cor(fitVals, weight)^2
1 - ((nSubj-1)/(nSubj-P-1)) * (1-rSq)

SScrit   <- sum((weight-mean(weight))^2)
dfSScrit <- nSubj-1
1 - (MSE / (SScrit / dfSScrit))

MSpred <- sum((fitVals-mean(fitVals))^2) / P
(Fval  <- MSpred / MSE)
(pVal  <- 1-pf(Fval, P, dfSSE))

##### 7.2.2
dev.new(width=12, height=4.5)
op <- par(mfrow=c(1, 3), cex.lab=1.5, cex.main=1.5)
qqnorm(residuals(model))
qqline(residuals(model), col="red", lwd=2)
plot(fitted(model), residuals(model), pch=20, xlab="Vorhersage", ylab="Residuen",
     main="Residuen gegen Vorhersage")
abline(h=0, col="blue", lwd=2)
termplot(model, partial.resid=TRUE, rug=TRUE, xlab="Prdiktor", ylab="Residuen",
         main="Residuen, Prdiktoren, Regr.gerade")
mtext(text="Einzelwerte Prdiktor", side=1)
mtext(text="Einzelwerte Kriterium", side=2)
par(op)

##### 7.2.3
myData   <- round(rnorm(100, 75, 10))
crit     <- (0.5*myData + 133) + rnorm(100, 0, 10)
## fr Daten des Buches diese Datei laden:
# load("data_linRegrVI.Rdata")
model    <- lm(crit ~ myData)
(coeffs  <- coefficients(model))

newData  <- sample(50:150, 5, replace=TRUE)
(newPred <- coeffs[2]*newData + coeffs[1])

newDf    <- data.frame(myData=newData)
predict(model, newDf, interval="confidence", level=0.95)

orgPred  <- predict(model, interval="confidence", level=0.95)
dev.new(width=7, height=7)
op <- par(lend=2, cex.lab=1.4)
plot(myData, crit, pch=20, xlab="Prdiktor", ylab="Kriterium und Vorhersage",
     main="Daten und Vorhersage durch Regression")
myOrder <- order(myData)
polygon(c(myData[myOrder], rev(myData[myOrder])),
        c(orgPred[myOrder, "lwr"], orgPred[rev(myOrder), "upr"]),
        border=NA, col=rgb(0.7, 0.7, 0.7, 0.6))
abline(model, col="blue")
legend(x="bottomright", legend=c("Daten", "Vorhersage", "Vertrauensbereich"),
       pch=c(20, NA, NA), lty=c(NA, 1, 1), lwd=c(NA, 1, 8),
       col=c("black", "blue", "gray"))
par(op)

##### 7.2.4
z <- runif(100)
x <- z + rnorm(100, 0, 0.5)
y <- z + rnorm(100, 0, 0.5)
## fr Daten des Buches diese Datei laden:
# load("data_regrParCor.Rdata")
cor(cbind(z, x, y))

model1 <- lm(x ~ z)
model2 <- lm(y ~ z)
cor(residuals(model1), residuals(model2))

(cor(x,y) - (cor(x,z) * cor(y,z))) / (sqrt((1-cor(x,z)^2) * (1-cor(y,z)^2)))

##### 7.2.5
nSubj    <- 100
predAll  <- sample(50:150, nSubj, replace=TRUE)
critAll  <- predAll + rnorm(nSubj, mean=0, sd=30)

select   <- sample(rep(c(TRUE, FALSE), nSubj/2), nSubj, replace=FALSE)
## fr Daten des Buches diese Datei laden:
# load("data_regrCrVal.Rdata")
pred1    <- predAll[ select]
crit1    <- critAll[ select]
pred2    <- predAll[!select]
crit2    <- critAll[!select]

model1   <- lm(crit1 ~ pred1)
model2   <- lm(crit2 ~ pred2)
(coeffs1 <- coefficients(model1))
(coeffs2 <- coefficients(model2))

pred1in2 <- pred2*coeffs1[2] + coeffs1[1]
pred2in1 <- pred1*coeffs2[2] + coeffs2[1]

(cor(pred1in2, crit2))^2
(cor(pred2in1, crit1))^2

#####---------------------------------------------------------------------------
##### 7.3 Multiple lineare Regression
nSubj   <- 100
height  <- rnorm(nSubj, 175, 7)
age     <- rnorm(nSubj, 30, 8)
sport   <- abs(rnorm(nSubj, 60, 30))
weight  <- 0.5*height - 0.3*age - 0.4*sport + 10 + rnorm(nSubj, 0, 3)
## fr Daten des Buches diese Datei laden:
# load("data_multRegr.Rdata")
(model1 <- lm(weight ~ height + age))

X  <- cbind(height, age)
K  <- cov(X)
k  <- cov(X, weight)
(b <- solve(K, k))
(a <- as.vector(mean(weight) - t(b) %*% colMeans(X)))
fitVals <- X %*% b + a

lm(scale(weight) ~ scale(height) + scale(age))
(1/sd(weight)) * diag(sqrt(diag(K))) %*% b

b0 <- model1$coefficients[1]
b1 <- model1$coefficients[2]
b2 <- model1$coefficients[3]

dev.new(width=7, height=7)
library(scatterplot3d)
sp3 <- scatterplot3d(height, age, weight, pch=16, color="red",
                     zlab="Kriterium: weight", mar=c(3, 3, 4, 2),
                     main="Multiple Regression: Daten und Vorhersageebene",
                     cex.main=1.4, cex.lab=1.4)
sp3$plane3d(model1)
xyEmp  <- sp3$xyz.convert(height, age, weight)
xyPred <- sp3$xyz.convert(height, age, b1*height + b2*age + b0)
segments(xyPred$x, xyPred$y, xyEmp$x, xyEmp$y, col="blue")

##### 7.3.1
## fr Daten des Buches diese Datei laden:
# load("data_multRegr.Rdata")
(model2 <- update(model1, . ~ . + sport))
(model3 <- update(model2, . ~ . - age))

##### 7.3.2
## fr Daten des Buches diese Datei laden:
# load("data_multRegr.Rdata")
add1(model1, . ~ . + sport)

##### 7.3.3
## fr Daten des Buches diese Datei laden:
# load("data_multRegr.Rdata")
X3 <- cbind(height, age, sport)
cor(X3)

library(car)
vif(model2)

kappa(lm(scale(weight) ~ scale(height) + scale(age) + scale(sport)), exact=TRUE)

#####---------------------------------------------------------------------------
##### 7.4 Logistische Regression
nSubj   <- 100
height  <- rnorm(nSubj, 175, 7)
weight  <- 0.4*height + 10 + rnorm(nSubj, 0, 3)
wFac    <- cut(weight, breaks=c(-Inf, median(weight), Inf))
levels(wFac) <- c("lo", "hi")
regDf   <- data.frame(wFac, height)
## fr Daten des Buches diese Datei laden:
# load("data_logRegr.Rdata")
(glmRes <- glm(wFac ~ height, family=binomial(link="logit"), data=regDf))

exp(glmRes$coefficients)

logLik(glmRes)
fitted(glmRes)

b0     <- glmRes$coefficients[1]
b1     <- glmRes$coefficients[2]
thresh <- -b0/b1
wrong  <- (height < thresh & wFac == "hi") | (height >= thresh & wFac == "lo")

dev.new(width=7, height=7)
curve(1/(1+exp(-(b1*x + b0))), from=150, to=200, xlab="height",
      ylab="p(\"> Median\") bzw. Gruppe", lwd=2,
      main="Vorhersage der logistischen Regression", cex.lab=1.4)
abline(h=0.5, v=thresh, col="gray")
points(height[!wrong], jitter(as.numeric(wFac[!wrong] == "hi"), 0.1),
       col="black", pch=16)
points(height[ wrong], jitter(as.numeric(wFac[ wrong] == "hi"), 0.1), col="red",
       pch=16)
text(150, 0.95, adj=0, label="Daten ber dem Median")
text(200, 0.05, adj=1, label="Daten unter dem Median")
legend(x="right", c("Vorhersage p(\"> Median\")", "Trennwert fr p=0.5",
       "tatschliche Gruppe", "falsche Vorhersage"),
       col=c("black", "gray", "black", "red"), pch=c(NA, NA, 1, 16),
       lwd=c(2, 2, NA, NA), lty=c(1, 1, NA, NA))

summary(glmRes)

glm0 <- glm(wFac ~ 1, family=binomial(link="logit"), data=regDf)
anova(glm0, glmRes, test="Chisq")

statChisq <- glmRes$null.deviance - glmRes$deviance
dfChisq   <- glmRes$df.null       - glmRes$df.residual
(pVal     <- 1-pchisq(statChisq, dfChisq))

####*---------------------------------------------------------------------------
##### 8 Parametrische Tests fr Dispersions- und Lageparameter von Verteilungen
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 8.1 Tests auf Varianzhomogenitt
##### 8.1.1
n1  <- 110
n2  <- 90
one <- rnorm(n1, mean=100, sd=15)
two <- rnorm(n2, mean=100, sd=13)
## fr Daten des Buches diese Datei laden:
# load("data_varTest.Rdata")
var.test(one, two)

(pValF <- 2*(1-pf(var(one)/var(two), n1-1, n2-1)))
critF1 <- qf(1-(0.05/2), n1-1, n2-1)
critF2 <- qf(   0.05/2,  n1-1, n2-1)
(ciLo  <- var(one) / (critF1*var(two)))
(ciUp  <- var(one) / (critF2*var(two)))

##### 8.1.2
##### 8.1.3
library(car)
nSubj   <- 30
nGroups <- 3
myData  <- sample(0:100, nGroups*nSubj, replace=TRUE)
group   <- factor(sample(rep(1:nGroups, each=nSubj), nGroups*nSubj, replace=FALSE))
## fr Daten des Buches diese Datei laden:
# load("data_levene.Rdata")

# ab Version 2.0 des Pakets car heit die Funktion
# levene.test() nun leveneTest()
# prfe, ob Versions-Kennziffer mit 1. beginnt
res <- sessionInfo()
if(grepl("^1\\.", res$otherPkgs$car$Version)) {
  levene.test(myData, group)    # ja: verwende alten Funktionsnamen
} else {
  leveneTest(myData, group)     # nein: verwende neuen Funktionsnamen
}

model <- lm(myData ~ group)
anova(lm(abs(residuals(model)) ~ group))

groupMeds <- tapply(myData, group, median)
absDiff   <- abs(myData - groupMeds[group])
anova(lm(absDiff ~ group))

#####---------------------------------------------------------------------------
##### 8.2 t-Tests
##### 8.2.1
nSubj  <- 100
myData <- rnorm(nSubj, 5, 20)
## fr Daten des Buches diese Datei laden:
# load("data_tOne.Rdata")
muH0   <- 0
t.test(myData, alternative="two.sided", mu=muH0)

(tVal <- (mean(myData)-muH0) / (sd(myData)/sqrt(nSubj)))
(pVal <- 2*(1-pt(tVal, nSubj-1)))

tCrit <- qt(1-(0.05/2), nSubj-1)
(ciLo <- mean(myData) - tCrit*sd(myData)/sqrt(nSubj))
(ciUp <- mean(myData) + tCrit*sd(myData)/sqrt(nSubj))

##### 8.2.2
n1    <- 18
n2    <- 21
dataM <- rnorm(n1, 180, 10)
dataW <- rnorm(n2, 175, 6)
## fr Daten des Buches diese Datei laden:
# load("data_tTwoInd.Rdata")
t.test(dataM, dataW, alternative="greater", var.equal=TRUE)

estSigDiff <- sqrt((n1+n2)/(n1*n2)) * sqrt(((n1-1)*var(dataM) + (n2-1)*var(dataW)) / (n1+n2-2))
(tVal      <- (mean(dataM)-mean(dataW)) / estSigDiff )
(pVal      <- 1-pt(tVal, n1+n2-2))

tCrit <- qt(1-0.05, n1+n2-2)
(ciLo <- mean(dataM)-mean(dataW) - tCrit*estSigDiff)

t.test(dataM, dataW, alternative="greater", var.equal=FALSE)

ss1      <- var(dataM)
ss2      <- var(dataW)
num      <- (ss1/n1 + ss2/n2)^2
denom    <- ss1^2/((n1-1)*n1^2) + ss2^2/((n2-1)*n2^2)
(dfWelch <- num/denom)
(tValW   <- (mean(dataM)-mean(dataW)) / sqrt(ss1/n1 + ss2/n2))
(pVal    <- 1-pt(tValW, dfWelch))

##### 8.2.3
pre  <- rnorm(20, mean=90,  sd=15)
post <- rnorm(20, mean=100, sd=15)
## fr Daten des Buches diese Datei laden:
# load("data_tTwoDep.Rdata")
t.test(pre, post, alternative="less", paired=TRUE)

diffVar <- pre-post
t.test(diffVar, alternative="less")

#####---------------------------------------------------------------------------
##### 8.3 Einfaktorielle Varianzanalyse (CR-p)
##### 8.3.1
contr.treatment(4)
options("contrasts")
contr.sum(4)

##### 8.3.2
yield   <- c(2349, 2554, 2278, 2476, 2242, 2124, 2649, 2106, 2107, 2185, 2095, 2070)
month   <- factor(rep(1:3, each=4), labels=c("Jan", "Feb", "Mar"))
dfCrop  <- data.frame(month, yield)
oneway.test(yield ~ month, data=dfCrop, var.equal=TRUE)

P       <- nlevels(month)
N       <- length(yield)
groupNs <- tapply(yield, month, length)
groupVs <- tapply(yield, month, var)
groupMs <- tapply(yield, month, mean)
grandM  <- sum((groupNs/N) * groupMs)
SSw     <- sum((groupNs-1) * groupVs)
SSb     <- sum(groupNs * (groupMs-grandM)^2)
MSw     <- SSw / (N-P)
MSb     <- SSb / (P-1)
(Fval   <- MSb / MSw)
(pVal   <- 1-pf(Fval, P-1, N-P))

oneway.test(yield ~ month, data=dfCrop, var.equal=FALSE)

##### 8.3.3
## fr Daten des Buches diese Datei laden:
# load("data_crpYield.Rdata")
(aovCRp <- aov(yield ~ month, dfCrop))
summary(aovCRp)
model.tables(aovCRp, type="means")
dev.new(width=5, height=5)
plot.design(yield ~ month, fun=mean, data=dfCrop,
            main="Mittelwerte getrennt nach Gruppen", cex.lab=1.2)

##### 8.3.4
## fr Daten des Buches diese Datei laden:
# load("data_crpYield.Rdata")
dev.new(width=12, height=4.5)
op <- par(mfrow=c(1, 3), cex.lab=1.5, cex.main=1.5)
plot(fitted(aovCRp), residuals(aovCRp), pch=20, xlab="Vorhersage",
     ylab="Residuen", main="Residuen gegen Vorhersage", cex=2)
abline(h=0, col="blue", lwd=2)
plot(residuals(aovCRp) ~ aovCRp$model$month, main="Fehler vs. Stufen")
qqnorm(residuals(aovCRp), pch=20, cex=2)
qqline(residuals(aovCRp), col="red", lwd=2)
par(op)

##### 8.3.5
## fr Daten des Buches diese Datei laden:
# load("data_crpYield.Rdata")
anova(lm(yield ~ month, data=dfCrop))

nSubj   <- 100
pred1   <- rnorm(nSubj, 175, 7)
pred2   <- rnorm(nSubj, 30, 8)
crit    <- 0.5*pred1 - 0.3*pred2 + 10 + rnorm(nSubj, 0, 6)
## fr Daten des Buches diese Datei laden:
# load("data_anovaComp.Rdata")
(sumRes <- summary(lm(crit ~ pred1 + pred2)))

(anovaRes <- anova(lm(crit ~ pred1), lm(crit ~ pred1 + pred2)))

dfMod1 <- nSubj - (1+1)
dfMod2 <- nSubj - (2+1)
MSMod2 <- anovaRes[["Sum of Sq"]][2] / (dfMod1 - dfMod2)
MSE    <- sum(residuals(sumRes)^2 / dfMod2)
MSMod2 / MSE
(sumRes$coefficients[3, 3])^2

##### 8.3.6
##### 8.3.6.1
## fr Daten des Buches diese Datei laden:
# load("data_crpYield.Rdata")
library(multcomp)
aovCRp  <- aov(yield ~ month, data=dfCrop)
cntrMat <- rbind("0.5*(Jan+Feb)-Mar"=c(1/2, 1/2, -1))
summary(glht(aovCRp, linfct=mcp(month=cntrMat), alternative="greater"))

anovaCRp <- anova(lm(yield ~ month, dfCrop))
MSw      <- anovaCRp[["Mean Sq"]][2]
P        <- nlevels(dfCrop$month)
groupMs  <- tapply(dfCrop$yield, dfCrop$month, mean)
groupNs  <- tapply(dfCrop$yield, dfCrop$month, length)
dfSSw    <- sum(groupNs)-P
psiHat   <- sum(cntrMat[1, ] * groupMs)
lenSq    <- sum((cntrMat[1, ]^2) * (1/groupNs))
statTc   <- psiHat / sqrt(lenSq*MSw)
abs(statTc)
(critT   <- qt(1-0.05, dfSSw))
(pValT   <- 1-pt(abs(statTc), dfSSw))
(ciLo    <- psiHat - critT*sqrt(lenSq*MSw))

cntrMat  <- rbind("Jan-0.5*(Feb+Mar)"=c(  1, -1/2, -1/2),
        "Feb-Jan"          =c( -1,    1,    0),
        "0.5*(Jan+Feb)-Mar"=c(1/2,  1/2,   -1),
        "Feb-Mar"          =c(  0,    1,   -1))
summary(glht(aovCRp, linfct=mcp(month=cntrMat), alternative="greater"),
        test=adjusted("none"))

(psiHats <- cntrMat %*% groupMs)
alphaAdj <- 0.05/nrow(cntrMat)
lenSqs   <- cntrMat^2 %*% (1/groupNs)
statTcs  <- psiHats / sqrt(lenSqs*MSw)
critTs   <- rep(qt(1-alphaAdj, dfSSw), nrow(cntrMat))
pValTs   <- 1-pt(abs(statTcs), dfSSw)
(resDf   <- data.frame(statTcs, critTs, pVals=pValTs,
                       alphaAdj=rep(alphaAdj, nrow(cntrMat)),
                       sig=abs(statTcs)>critTs))

##### 8.3.6.2
## fr Daten des Buches diese Datei laden:
# load("data_crpYield.Rdata")
dfSSb  <- P-1
(statF <- psiHat^2 / (lenSq*MSw))
(critF <- dfSSb*qf(1-0.05, df1=dfSSb, df2=dfSSw))
(pValF <- 1-pf(statF/dfSSb, dfSSb, dfSSw))

##### 8.3.6.3
nSubj <- 50
DVa   <- rnorm(nSubj, 0,   1)
DVb   <- rnorm(nSubj, 0.3, 1)
DVc   <- rnorm(nSubj, 0.6, 1)
DVd   <- rnorm(nSubj, 1.0, 1)
DV    <- c(DVa, DVb, DVc, DVd)
IV    <- factor(rep(LETTERS[1:4], each=nSubj))
## fr Daten des Buches diese Datei laden:
# load("data_crpTukey.Rdata")
anova(lm(DV ~ IV))

pairwise.t.test(DV, IV, p.adjust.method="bonferroni")
pairwise.t.test(DV, IV, p.adjust.method="none", pool.sd=FALSE)

t.test(DV[IV %in% c("A", "B")] ~ IV[IV %in% c("A", "B")])
t.test(DV[IV %in% c("A", "C")] ~ IV[IV %in% c("A", "C")])
t.test(DV[IV %in% c("A", "D")] ~ IV[IV %in% c("A", "D")])
t.test(DV[IV %in% c("B", "C")] ~ IV[IV %in% c("B", "C")])
t.test(DV[IV %in% c("B", "D")] ~ IV[IV %in% c("B", "D")])
t.test(DV[IV %in% c("C", "D")] ~ IV[IV %in% c("C", "D")])

##### 8.3.6.4
## fr Daten des Buches diese Datei laden:
# load("data_crpTukey.Rdata")
(tHSD <- TukeyHSD(aov(DV ~ IV)))

Ms  <- tapply(DV, IV, mean)
P   <- nlevels(IV)
dfE <- (nSubj*P)-P

anovaRes <- anova(lm(DV ~ IV))
MSE <- anovaRes[["Mean Sq"]][2]

diffMat <- outer(Ms, Ms, "-")
(diffs  <- diffMat[lower.tri(diffMat)])
qTs     <- abs(diffs) / sqrt(MSE / nSubj)
(pVals  <- 1-ptukey(qTs, P, dfE))

tWidth  <- qtukey(1-0.05, P, dfE) * sqrt(MSE / nSubj)
diffs - tWidth
diffs + tWidth

dev.new(width=5, height=5)
op <- par(cex.lab=1.2)
plot(tHSD)
par(op)

#####---------------------------------------------------------------------------
##### 8.4 Einfaktorielle Varianzanalyse mit abhngigen Gruppen (RB-p)
##### 8.4.1
nSubj   <- 10
P       <- 3
id      <- factor(rep(1:nSubj, P))
timeFac <- factor(rep(1:P, each=nSubj))
DV_t1   <- round(rnorm(nSubj, -0.3, 1), 2)
DV_t2   <- round(rnorm(nSubj, -0.2, 1), 2)
DV_t3   <- round(rnorm(nSubj,  0.5, 1), 2)
dfRBpL  <- data.frame(id, timeFac, DV=c(DV_t1, DV_t2, DV_t3))
## fr Daten des Buches diese Datei laden:
# load("data_rbp.Rdata")
aovRBp  <- aov(DV ~ timeFac + Error(id/timeFac), data=dfRBpL)
summary(aovRBp)

anova(lm(DV ~ id + timeFac + id:timeFac, data=dfRBpL))

DVctr  <- dfRBpL$DV - ave(dfRBpL$DV, dfRBpL$id, FUN=mean)
tfMs   <- tapply(DVctr, dfRBpL$timeFac, mean)
grandM <- mean(tfMs)
SSb    <- sum(nSubj * (tfMs-grandM)^2)

IDxTF  <- DVctr - ave(DVctr, dfRBpL$timeFac, FUN=mean) + grandM
SSE    <- sum(IDxTF^2)
dfSSb  <- P-1
dfSSE  <- (nSubj-1) * (P-1)

(MSb   <- SSb / dfSSb)
(MSE   <- SSE / dfSSE)
(Fval  <- MSb / MSE)
(pVal  <- 1-pf(Fval, P-1, (nSubj-1)*(P-1)))

##### 8.4.2
## fr Daten des Buches diese Datei laden:
# load("data_rbp.Rdata")
dataMat <- cbind(DV_t1, DV_t2, DV_t3)
nSubj   <- nrow(dataMat)
S       <- var(dataMat)
P       <- nrow(S)
mdS     <- mean(diag(S))
mS      <- mean(S)
mSr     <- rowMeans(S)
N       <- P^2 * (mdS-mS)^2
D       <- (P-1)*(sum(S^2) - 2*P*sum(mSr^2) + P^2*mS^2)

(epsGG  <- N/D)
(epsHF  <- (nSubj*(P-1)*epsGG - 2) / ((P-1) * ((nSubj-1) - ((P-1)*epsGG))))

epsHF   <- ifelse(epsHF > 1, 1, epsHF)

dfEpsGG <- c(dfSSb, dfSSE) * epsGG
(pEpsGG <- 1-pf(Fval, df1=dfEpsGG[1], df2=dfEpsGG[2]))

dfEpsHF <- c(dfSSb, dfSSE) * epsHF
(pEpsHF <- 1-pf(Fval, df1=dfEpsHF[1], df2=dfEpsHF[2]))

dfRBpL$IDxTF <- IDxTF
errMat       <- as.matrix(unstack(dfRBpL, IDxTF ~ timeFac))
Serr         <- cov(errMat)
(epsGG       <- (1 / (P-1)) * sum(diag(Serr))^2 / sum(Serr^2))

##### 8.4.3
## fr Daten des Buches diese Datei laden:
# load("data_rbp.Rdata")
dfRBpW   <- data.frame(DV_t1, DV_t2, DV_t3)
modelRBp <- lm(cbind(DV_t1, DV_t2, DV_t3) ~ 1, data=dfRBpW)
intraRBp <- data.frame(timeFac=factor(1:3))

library(car)
(AnovaRBp <- Anova(modelRBp, idata=intraRBp, idesign=~timeFac))
summary(AnovaRBp, multivariate=FALSE, univariate=TRUE)

anova(modelRBp, idata=intraRBp, X=~1, test="Spherical")

#####---------------------------------------------------------------------------
##### 8.5 Zweifaktorielle Varianzanalyse (CRF-pq)
##### 8.5.1
nSubj  <- 8
P      <- 2
Q      <- 3
IV1    <- factor(rep(1:P, nSubj*Q))
IV2    <- factor(rep(1:Q, each=nSubj*P))
IVcomb <- factor(c(rep(c("1-1", "2-1"), nSubj), rep(c("1-2", "2-2"), nSubj),
                   rep(c("1-3", "2-3"), nSubj)))
DV     <- rnorm(nSubj*P*Q, 0, 1)
DV[IV1 == 1] <- DV[IV1 == 1] + 0.5
DV[IV1 == 2] <- DV[IV1 == 2] - 0.5
DV[IV2 == 1] <- DV[IV2 == 1] - 0.5
DV[IV2 == 3] <- DV[IV2 == 3] + 0.5
dfCRFpq <- data.frame(id=1:(P*Q*nSubj), IV1, IV2, IVcomb, DV)

## fr Daten des Buches diese Datei laden:
# load("data_crfpq.Rdata")
summary(aov(DV ~ IV1*IV2, data=dfCRFpq))

dev.new(width=7, height=4)
op <- par(mfrow=c(1, 2), cex.main=0.9)
plot.design(DV ~ IV1*IV2, data=dfCRFpq, main="Gruppen-Mittelwerte")
interaction.plot(IV1, IV2, DV, main="Mittelwertsverlufe",
                 col=c("red", "blue", "green"), lwd=2)
par(op)

##### 8.5.2
mdP   <- 3
mdQ   <- 3
g11   <- c(41, 43, 50)
g12   <- c(51, 43, 53, 54, 46)
g13   <- c(45, 55, 56, 60, 58, 62, 62)
g21   <- c(56, 47, 45, 46, 49)
g22   <- c(58, 54, 49, 61, 52, 62)
g23   <- c(59, 55, 68, 63)
g31   <- c(43, 56, 48, 46, 47)
g32   <- c(59, 46, 58, 54)
g33   <- c(55, 69, 63, 56, 62, 67)
mdDV  <- c(g11, g12, g13, g21, g22, g23, g31, g32, g33)
mdIV1 <- factor(rep(1:mdP, c(3+5+7, 5+6+4, 5+4+6)))
mdIV2 <- factor(rep(rep(1:mdQ, mdP), c(3,5,7, 5,6,4, 5,4,6)))
dfMD  <- data.frame(IV1=mdIV1, IV2=mdIV2, DV=mdDV)

anova(lm(DV ~ IV1 + IV2 + IV1:IV2, data=dfMD))

SSI1 <- anova(lm(DV ~ 1,         data=dfMD),
              lm(DV ~ IV1,                 data=dfMD))
SSI2 <- anova(lm(DV ~ IV1,       data=dfMD),
              lm(DV ~ IV1 + IV2,           data=dfMD))
SSIi <- anova(lm(DV ~ IV1 + IV2, data=dfMD),
              lm(DV ~ IV1 + IV2 + IV1:IV2, data=dfMD))

SSI1[["Sum of Sq"]][2]
SSI2[["Sum of Sq"]][2]
SSIi[["Sum of Sq"]][2]

SSIt <- anova(lm(DV ~ 1,         data=dfMD),
              lm(DV ~ IV1 + IV2 + IV1:IV2, data=dfMD))
SSIt[["Sum of Sq"]][2]
SSI1[["Sum of Sq"]][2] + SSI2[["Sum of Sq"]][2] + SSIi[["Sum of Sq"]][2]

modelIII <- lm(DV ~ IV1 + IV2 + IV1:IV2, data=dfMD,
               contrasts=list(IV1=contr.sum, IV2=contr.sum))
drop1(modelIII, ~ ., test="F")

library(car)
Anova(modelIII, type="III")

(cellMs <- tapply(dfMD$DV, list(dfMD$IV1, dfMD$IV2), mean))
(cellNs <- tapply(dfMD$DV, list(dfMD$IV1, dfMD$IV2), length))
rowMs   <- rowMeans(cellMs)
colMs   <- colMeans(cellMs)
effNj   <- mdQ / apply(1/cellNs, 1, sum)
effNk   <- mdP / apply(1/cellNs, 2, sum)
gM1     <- sum(effNj*rowMs) / sum(effNj)
gM2     <- sum(effNk*colMs) / sum(effNk)
(SSIII1 <- mdP * sum(effNj * (rowMs-gM1)^2))
(SSIII2 <- mdQ * sum(effNk * (colMs-gM2)^2))
(SSE    <- sum((dfMD$DV - ave(dfMD$DV, dfMD$IV1, dfMD$IV2, FUN=mean))^2))

dfSS1  <- mdP-1
dfSS2  <- mdQ-1
dfSSE  <- sum(cellNs-1)
(Fval1 <- (SSIII1/dfSS1) / (SSE/dfSSE))
(Fval2 <- (SSIII2/dfSS2) / (SSE/dfSSE))
(pVal1 <- 1-pf(Fval1, dfSS1, dfSSE))
(pVal2 <- 1-pf(Fval2, dfSS2, dfSSE))

##### 8.5.3
## fr Daten des Buches diese Datei laden:
# load("data_crfpq.Rdata")
CRFpq1 <- anova(lm(DV ~ IVcomb,  data=dfCRFpq))
CRFpq2 <- anova(lm(DV ~ IV1*IV2, data=dfCRFpq))
isTRUE(all.equal(CRFpq1[["Mean Sq"]][2], CRFpq2[["Mean Sq"]][4]))

library(multcomp)
aovCRFpq <- aov(DV ~ IVcomb, data=dfCRFpq)
cntrMat  <- rbind("contrast 01"=c(1/2, 1/2, -1/4, -1/4, -1/4, -1/4))
summary(glht(aovCRFpq, linfct=mcp(IVcomb=cntrMat), alternative="greater"))

cellMs <- tapply(dfCRFpq$DV, dfCRFpq$IVcomb, mean)
MSE    <- CRFpq2[["Mean Sq"]][4]
dfSSE  <- (nSubj-1)*P*Q
psiHat <- sum(cntrMat[1, ] * cellMs)
lenSq  <- (1/nSubj) * sum(cntrMat[1, ]^2)
statTc <- psiHat / sqrt(lenSq*MSE)
abs(statTc)
(critT <- qt(1-0.05, dfSSE))
(pValT <- 1-pt(abs(statTc), dfSSE))
(ciLo  <- psiHat - critT*sqrt(lenSq*MSE))

cntrMat <- rbind("contrast 01"=c(1/2, 1/2, -1/4, -1/4, -1/4, -1/4),
        "contrast 02"=c(0,     1,   -1,    0,    0,    0),
        "contrast 03"=c(0,     0,    0,  1/2,   -1,  1/2))
summary(glht(aovCRFpq, linfct=mcp(IVcomb=cntrMat), alternative="greater"),
        test=adjusted("none"))

psiHats  <- cntrMat %*% cellMs
lenSqs   <- (1/nSubj) * cntrMat^2 %*% (rep(1, ncol(cntrMat)))
alphaAdj <- 0.05/nrow(cntrMat)
statTs   <- psiHats / sqrt(lenSqs*MSE)
critTs   <- rep(qt(1-alphaAdj, dfSSE), nrow(cntrMat))
pValTs   <- 1-pt(abs(statTs), dfSSE)
(resDf   <- data.frame(statTs, critTs, pVals=pValTs,
                       alphaAdj=rep(alphaAdj, nrow(cntrMat)),
                       sig=abs(statTs)>critTs))

meansA   <- tapply(dfCRFpq$DV, dfCRFpq$IV1, mean)
cntrVecA <- c(1, -1)
psiHatA  <- sum(cntrVecA * meansA)
lenSqA   <- (1/(Q*nSubj)) * sum(cntrVecA^2)
statA    <- psiHatA / sqrt(lenSqA*MSE)

meansB   <- tapply(dfCRFpq$DV, dfCRFpq$IV2, mean)
cntrVecB <- c(1, -1/2, -1/2)
psiHatB  <- sum(cntrVecB * meansB)
lenSqB   <- (1/(P*nSubj)) * sum(cntrVecB^2)
statB    <- psiHatB / sqrt(lenSqB*MSE)

##### 8.5.4
## fr Daten des Buches diese Datei laden:
# load("data_crfpq.Rdata")
(statF <- psiHat^2 / (lenSq*MSE))
dfSSba <- P*Q - 1
(critF <- dfSSba*qf(1-0.05, df1=dfSSba, df2=dfSSE))
(pValF <- 1-pf(statF/dfSSba, dfSSba, dfSSE))

#####---------------------------------------------------------------------------
##### 8.6 Zweifaktorielle Varianzanalyse mit zwei intra-Gruppen Faktoren (RBF-pq)
##### 8.6.1
nSubj    <- 10
P        <- 2
Q        <- 3
id       <- factor(rep(1:nSubj, P*Q))
timeFac1 <- factor(rep(rep(1:P, each=nSubj), Q))
timeFac2 <- factor(rep(rep(1:Q, each=nSubj*P)))
DV_t11   <- round(rnorm(nSubj, -0.8, 1), 2)
DV_t12   <- round(rnorm(nSubj, -0.7, 1), 2)
DV_t13   <- round(rnorm(nSubj,  0.0, 1), 2)
DV_t21   <- round(rnorm(nSubj,  0.2, 1), 2)
DV_t22   <- round(rnorm(nSubj,  0.3, 1), 2)
DV_t23   <- round(rnorm(nSubj,  1.0, 1), 2)
dfRBFpqL <- data.frame(id, timeFac1, timeFac2,
                       DV=c(DV_t11, DV_t21, DV_t12, DV_t22, DV_t13, DV_t23))

## fr Daten des Buches diese Datei laden:
# load("data_rbfpq.Rdata")
aovRBFpq <- aov(DV ~ timeFac1*timeFac2 + Error(id/(timeFac1*timeFac2)),
                data=dfRBFpqL)
summary(aovRBFpq)

dfG  <- dfRBFpqL
mDf1 <- aggregate(dfG$DV, list(dfG$id, dfG$timeFac1), mean)
mDf2 <- aggregate(dfG$DV, list(dfG$id, dfG$timeFac2), mean)
dDfI <- aggregate(dfG$DV, list(dfG$id, dfG$timeFac2), diff)

summary(aov(x ~ Group.2 + Error(Group.1/Group.2), data=mDf1))
summary(aov(x ~ Group.2 + Error(Group.1/Group.2), data=mDf2))
summary(aov(x ~ Group.2 + Error(Group.1/Group.2), data=dDfI))

cellMs  <- tapply(dfG$DV, list(dfG$timeFac1, dfG$timeFac2), mean)
tf1Ms   <- tapply(dfG$DV, dfG$timeFac1, mean)
tf2Ms   <- tapply(dfG$DV, dfG$timeFac2, mean)
grandM  <- mean(cellMs)

TF1xTF2 <- c(sweep(sweep(cellMs, 1, tf1Ms, "-"), 2, tf2Ms, "-")) + grandM
(SSI    <- nSubj * sum(TF1xTF2^2))

cellMsL  <- ave(dfG$DV,         dfG$timeFac1, dfG$timeFac2, FUN=mean)
blTf1MsL <- ave(dfG$DV, dfG$id, dfG$timeFac1,               FUN=mean)
blTf2MsL <- ave(dfG$DV, dfG$id,               dfG$timeFac2, FUN=mean)
blockMsL <- ave(dfG$DV, dfG$id,                             FUN=mean)
tf1MsL   <- ave(dfG$DV,         dfG$timeFac1,               FUN=mean)
tf2MsL   <- ave(dfG$DV,                       dfG$timeFac2, FUN=mean)

IDxTF1xTF2 <- dfG$DV - blTf1MsL - blTf2MsL - cellMsL + blockMsL + tf1MsL + tf2MsL - grandM
(SSE       <- sum(IDxTF1xTF2^2))

dfSSI   <- (P-1) * (Q-1)
dfSSE   <- (P-1) * (Q-1) * (nSubj-1)

(FvalI  <- (SSI/dfSSI) / (SSE/dfSSE))
(pValI  <- 1-pf(FvalI, dfSSI, dfSSE))

##### 8.6.2
## fr Daten des Buches diese Datei laden:
# load("data_rbfpq.Rdata")
dataMat <- tapply(dfG$DV, list(dfG$id, dfG$timeFac2), mean)
nSubj   <- nrow(dataMat)
S       <- var(dataMat)
Q       <- nrow(S)
mdS     <- mean(diag(S))
mS      <- mean(S)
mSr     <- rowMeans(S)
N       <- Q^2 * (mdS-mS)^2
D       <- (Q-1)*(sum(S^2) - 2*Q*sum(mSr^2) + Q^2*mS^2)

(epsGG2 <- N/D)
(epsHF2 <- (nSubj*(Q-1)*epsGG2 - 2) / ((Q-1) * ((nSubj-1) - ((Q-1)*epsGG2))))

dfG     <- cbind(dfG, IDxTF1xTF2)
errMat  <- as.matrix(unstack(dfG, IDxTF1xTF2 ~ timeFac2))
Serr    <- cov(errMat)

(epsGGI <- (1 / (Q-1)) * sum(diag(Serr))^2 / sum(Serr^2))
(epsHFI <- (nSubj*(Q-1)*epsGGI - 2) / ((Q-1) * ((nSubj-1) - ((Q-1)*epsGGI))))

##### 8.6.3
## fr Daten des Buches diese Datei laden:
# load("data_rbfpq.Rdata")
dfRBFpqW    <- data.frame(DV_t11, DV_t21, DV_t12, DV_t22, DV_t13, DV_t23)
modelRBFpq  <- lm(cbind(DV_t11, DV_t21, DV_t12, DV_t22, DV_t13, DV_t23) ~ 1,
                  data=dfRBFpqW)
(intraRBFpq <- data.frame(timeFac1=factor(rep(1:P, Q)),
                          timeFac2=factor(rep(1:Q, each=P))))

library(car)
AnovaRBFpq  <- Anova(modelRBFpq, idata=intraRBFpq, idesign=~timeFac1*timeFac2)
summary(AnovaRBFpq, multivariate=FALSE, univariate=TRUE)

anova(modelRBFpq, M=~timeFac1 + timeFac2, X=~timeFac2,
                  idata=intraRBFpq, test="Spherical")
anova(modelRBFpq, M=~timeFac1 + timeFac2, X=~timeFac1,
                  idata=intraRBFpq, test="Spherical")
anova(modelRBFpq,                         X=~timeFac1 + timeFac2,
                  idata=intraRBFpq, test="Spherical")

##### 8.6.4

#####---------------------------------------------------------------------------
##### 8.7 Zweifaktorielle Varianzanalyse mit Split-Plot-Design (SPF-pq)
##### 8.7.1
nSubj    <- 10
P        <- 3
Q        <- 3
id       <- factor(rep(1:(P*nSubj), Q))
group    <- factor(rep(LETTERS[1:P], Q*nSubj))
timeFac  <- factor(rep(1:Q, each=P*nSubj))
DV_t1    <- round(rnorm(P*nSubj, -0.5, 1), 2)
DV_t2    <- round(rnorm(P*nSubj,  0,   1), 2)
DV_t3    <- round(rnorm(P*nSubj,  0.5, 1), 2)
dfSPFpqL <- data.frame(id, group, timeFac, DV=c(DV_t1, DV_t2, DV_t3))

## fr Daten des Buches diese Datei laden:
# load("data_spfpq.Rdata")
aovSPFpq <- aov(DV ~ group*timeFac + Error(id/timeFac), data=dfSPFpqL)
summary(aovSPFpq)

##### 8.7.2
## fr Daten des Buches diese Datei laden:
# load("data_spfpq.Rdata")
mDf <- aggregate(dfSPFpqL$DV, list(dfSPFpqL$id, dfSPFpqL$group), FUN=mean)
summary(aov(x ~ Group.2, data=mDf))

cellMs  <- ave(dfSPFpqL$DV,              dfSPFpqL$group, dfSPFpqL$timeFac, FUN=mean)
blockMs <- ave(dfSPFpqL$DV, dfSPFpqL$id,                                   FUN=mean)
groupMs <- ave(dfSPFpqL$DV,              dfSPFpqL$group,                   FUN=mean)

IDxTF    <- dfSPFpqL$DV - blockMs - cellMs + groupMs
sum(IDxTF^2)
dfSPFpqL <- cbind(dfSPFpqL, IDxTF)

errMat   <- as.matrix(unstack(dfSPFpqL, IDxTF ~ timeFac))
Serr     <- cov(errMat)
(epsGG   <- (1 / (Q-1)) * sum(diag(Serr))^2 / sum(Serr^2))

nSubjEps <- nrow(errMat) - (P-1)
(epsHF   <- (nSubjEps*(Q-1)*epsGG - 2) / ((Q-1) * ((nSubjEps-1) - ((Q-1)*epsGG))))

##### 8.7.3
## fr Daten des Buches diese Datei laden:
# load("data_spfpq.Rdata")
groupW     <- factor(rep(LETTERS[1:P], nSubj))
dfSPFpqW   <- data.frame(groupW, DV_t1, DV_t2, DV_t3)

modelSPFpq <- lm(cbind(DV_t1, DV_t2, DV_t3) ~ groupW, data=dfSPFpqW)
intraSPFpq <- data.frame(timeFac=factor(1:Q))

library(car)
AnovaSPFpq <- Anova(modelSPFpq, idata=intraSPFpq, idesign=~timeFac)
summary(AnovaSPFpq, multivariate=FALSE, univariate=TRUE)

anova(modelSPFpq, X=~1, idata=intraSPFpq, test="Spherical")
anova(modelSPFpq, M=~1, idata=intraSPFpq, test="Spherical")

##### 8.7.4
##### 8.7.5
nSubj      <- 10
P          <- 2
Q          <- 3
R          <- 2
id         <- factor(rep(1:(P*nSubj), Q*R))
group      <- factor(rep(LETTERS[1:P], Q*R*nSubj))
timeFac1   <- factor(rep(1:Q, each=P*R*nSubj))
timeFac2   <- factor(rep(rep(1:R, each=P*nSubj), Q))
DV_t11     <- round(rnorm(P*nSubj, 8,  2), 2)
DV_t12     <- round(rnorm(P*nSubj, 10, 2), 2)
DV_t21     <- round(rnorm(P*nSubj, 13, 2), 2)
DV_t22     <- round(rnorm(P*nSubj, 15, 2), 2)
DV_t31     <- round(rnorm(P*nSubj, 13, 2), 2)
DV_t32     <- round(rnorm(P*nSubj, 15, 2), 2)
dfSPFp.qrL <- data.frame(id, group, timeFac1, timeFac2,
                         DV=c(DV_t11, DV_t12, DV_t21, DV_t22, DV_t31, DV_t32))

aovSPFp.qr <- aov(DV ~ group*timeFac1*timeFac2 + Error(id/(timeFac1*timeFac2)),
                  data=dfSPFp.qrL)
summary(aovSPFp.qr)

groupW        <- factor(rep(LETTERS[1:P], nSubj))
dfSPFp.qrW    <- data.frame(groupW, DV_t11, DV_t12, DV_t21, DV_t22, DV_t31, DV_t32)

modelSPFp.qr  <- lm(cbind(DV_t11, DV_t12, DV_t21, DV_t22, DV_t31, DV_t32) ~ groupW,
                    data=dfSPFp.qrW)
(intraSPFp.qr <- data.frame(timeFac1=factor(rep(1:Q, each=R)),
                            timeFac2=factor(rep(1:R, Q))))

library(car)
AnovaSPFp.qr  <- Anova(modelSPFp.qr, idata=intraSPFp.qr,
                       idesign=~timeFac1*timeFac2)
summary(AnovaSPFp.qr, multivariate=FALSE, univariate=TRUE)

##### 8.7.6
nSubj   <- 10
P       <- 2
Q       <- 2
R       <- 3
id      <- factor(rep(1:(P*Q*nSubj), R))
IV1     <- factor(rep(1:P, Q*R*nSubj))
IV2     <- factor(rep(rep(1:Q, each=P*nSubj), R))
timeFac <- factor(rep(1:R, each=P*Q*nSubj))
DV_t1   <- round(rnorm(P*Q*nSubj, -3, 2), 2)
DV_t2   <- round(rnorm(P*Q*nSubj,  1, 2), 2)
DV_t3   <- round(rnorm(P*Q*nSubj,  2, 2), 2)
dfSPFpq.rL <- data.frame(id, IV1, IV2, timeFac, DV=c(DV_t1, DV_t2, DV_t3))

aovSPFpq.r <- aov(DV ~ IV1*IV2*timeFac + Error(id/timeFac), data=dfSPFpq.rL)
summary(aovSPFpq.r)

IV1W         <- factor(rep(LETTERS[1:P], Q*nSubj))
IV2W         <- factor(rep(c("+", "-"), each=P*nSubj))
dfSPFpq.rW   <- data.frame(IV1W, IV2W, DV_t1, DV_t2, DV_t3)
modelSPFpq.r <- lm(cbind(DV_t1, DV_t2, DV_t3) ~ IV1W*IV2W, data=dfSPFpq.rW)
intraSPFpq.r <- data.frame(timeFac=factor(1:R))

library(car)
AnovaSPFpq.r <- Anova(modelSPFpq.r, idata=intraSPFpq.r, idesign=~timeFac)
summary(AnovaSPFpq.r, multivariate=FALSE, univariate=TRUE)

#####---------------------------------------------------------------------------
##### 8.8 Kovarianzanalyse
##### 8.8.1
SSRIpre  <- c(18, 16, 16, 15, 14, 20, 14, 21, 25, 11)
SSRIpost <- c(12,  0, 10,  9,  0, 11,  2,  4, 15, 10)
PlacPre  <- c(18, 16, 15, 14, 20, 25, 11, 25, 11, 22)
PlacPost <- c(11,  4, 19, 15,  3, 14, 10, 16, 10, 20)
WLpre    <- c(15, 19, 10, 29, 24, 15,  9, 18, 22, 13)
WLpost   <- c(17, 25, 10, 22, 23, 10,  2, 10, 14,  7)

nSubj    <- length(SSRIpre)
IV       <- factor(rep(1:3, each=nSubj), labels=c("SSRI", "Placebo", "WL"))
P        <- nlevels(IV)
DVpre    <- c(SSRIpre,  PlacPre,  WLpre)
DVpost   <- c(SSRIpost, PlacPost, WLpost)
dfAncova <- data.frame(id=1:(P*nSubj), IV, DVpre, DVpost)

dev.new(width=5, height=5)
plot(DVpost ~ IV, main="Boxplots der Scores fr jede Gruppe", cex.lab=1.2)

modelFull <- lm(DVpost ~ IV + DVpre, data=dfAncova)
modelGrp  <- lm(DVpost ~ IV,         data=dfAncova)
modelRegr <- lm(DVpost ~      DVpre, data=dfAncova)

anova(modelGrp)
anova(modelFull)

library(car)
Anova(modelFull, type="III")
anova(modelRegr, modelFull)
anova(modelGrp,  modelFull)

X    <- DVpre
Y    <- DVpost
XMs  <- tapply(X, IV, mean)
YMs  <- tapply(Y, IV, mean)
N    <- length(Y)
Xctr <- X - ave(X, IV, FUN=mean)
Yctr <- Y - ave(Y, IV, FUN=mean)

bFull     <- cov(Xctr, Yctr) / var(Xctr)
aFull     <- YMs - bFull*XMs
YhatFull  <- bFull*X + aFull[IV]
SSEfull   <- sum((Y-YhatFull)^2)
dfSSEfull <- N-P-1
(MSEfull  <- SSEfull / dfSSEfull)

bRegr    <- cov(X, Y) / var(X)
aRegr    <- mean(Y) - bRegr*mean(X)
YhatRegr <- bRegr*X + aRegr
SSEregr  <- sum((Y-YhatRegr)^2)
(MSEregr <- SSEregr / (N-2))

grpNs    <- tapply(Y, IV, length)
grpVs    <- tapply(Y, IV, var)
grandM   <- sum((grpNs/N) * YMs)
SSEgrp   <- sum((grpNs-1) * grpVs)
(MSEgrp  <- SSEgrp / (N-P))

SSregr   <- SSEgrp - SSEfull
(MSregr  <- SSregr / 1)
(Fregr   <- MSregr / MSEfull)

SSgrp    <- SSEregr - SSEfull
(MSgrp   <- SSgrp / (P-1))
(Fgrp    <- MSgrp / MSEfull)

(sumRes   <- summary(modelFull))
iCeptSSRI <- sumRes$coefficients[1, 1]
iCeptPlac <- sumRes$coefficients[2, 1] + iCeptSSRI
iCeptWL   <- sumRes$coefficients[3, 1] + iCeptSSRI
slopeAll  <- sumRes$coefficients[4, 1]

xLims     <- c(0, max(dfAncova$DVpre))
yLims     <- c(min(iCeptSSRI, iCeptPlac, iCeptWL), max(dfAncova$DVpost))

dev.new(width=7, height=7)
plot(DVpost ~ DVpre, data=dfAncova, xlim=xLims, ylim=yLims,
     pch=rep(c(3, 17, 19), each=nSubj), col=rep(c("red", "green", "blue"), each=nSubj),
     main="Rohdaten und Regressionsgerade pro Gruppe", cex.lab=1.4)
legend(x="topleft", legend=levels(IV), pch=c(3, 17, 19),
       col=c("red", "green", "blue"))
abline(iCeptSSRI, slopeAll, col="red")
abline(iCeptPlac, slopeAll, col="green")
abline(iCeptWL,   slopeAll, col="blue")

summary(lm(DVpost ~ IV + DVpre + IV:DVpre, data=dfAncova))

##### 8.8.2
## fr Daten des Buches diese Datei laden:
# load("data_ancovaBoxplot.Rdata")
cntrMat <- rbind("SSRI-Placebo"  = c(-1,  1, 0),
                 "SSRI-WL"       = c(-1,  0, 1),
                 "Placebo-WL"    = c( 0, -1, 1),
                 "SSRI-0.5(P+WL)"= c(-2,  1, 1))
library(multcomp)
aovAncova <- aov(DVpost ~ IV + DVpre, data=dfAncova)
summary(glht(aovAncova, linfct=mcp(IV=cntrMat), alternative="greater"),
        test=adjusted("none"))

lenSqs     <- (1/nSubj) * cntrMat^2 %*% (rep(1, ncol(cntrMat)))
alphaAdj   <- 0.05/nrow(cntrMat)
(YMsAdj    <- bFull*mean(X) + aFull)
psiHats    <-  cntrMat %*% YMsAdj
fracs      <- (cntrMat %*% XMs)^2 / sum((X-ave(X, IV, FUN=mean))^2)
varPsiHats <- MSEfull * (lenSqs + fracs)
sqrt(varPsiHats)
statTs     <- psiHats / sqrt(varPsiHats)
critTs     <- rep(qt(1-alphaAdj, dfSSEfull), nrow(cntrMat))
pValTs     <- 1-pt(abs(statTs), dfSSEfull)
(resDf     <- data.frame(statTs, critTs, pVals=pValTs,
                         alphaAdj=rep(alphaAdj, nrow(cntrMat)),
                         sig=abs(statTs)>critTs))

dfSSgrp <- P-1
statFs  <- psiHats^2 / varPsiHats
critFs  <- rep(dfSSgrp*qf(1-0.05, dfSSgrp, dfSSEfull), nrow(cntrMat))
pValFs  <- 1-pf(statFs/dfSSgrp, dfSSgrp, dfSSEfull)
(resDf  <- data.frame(statFs, critFs, pVals=pValFs,
                      alpha=rep(0.05, nrow(cntrMat)), sig=statFs>critFs))

#####---------------------------------------------------------------------------
##### 8.9 Berechnung von Power und Stichprobengre
##### 8.9.1
N      <- 7
pH0    <- 0.25
pH1    <- 0.7
alpha  <- 0.05
(critB <- qbinom(1-alpha, N, pH0))
(powB  <- 1-pbinom(critB, N, pH1))
sum(dbinom(5:7, N, pH1))

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), cex.lab=1.2, cex.main=1.2)
dH0 <- dbinom(0:N, N, pH0)
dH1 <- dbinom(0:N, N, pH1)
mat <- rbind(dH0, dH1)
rownames(mat) <- c("H0 (p=0.25)", "H1 (p=0.7)")
colnames(mat) <- 0:N
barsX <- barplot(mat, beside=TRUE, ylim=c(0, 0.35), xlab="Anzahl Treffer",
                 ylab="Wahrscheinlichkeit",
                 main="Binomialverteilungen unter H0 und H1 mit N=7",
                 col=c(rgb(1, 0.2, 0.2, 0.7), rgb(0.3, 0.3, 1, 0.6)),
                 names.arg=colnames(mat), legend.text=rownames(mat))
barplot(mat[, 1:(critB+1)], beside=TRUE, ylim=c(0, 0.35),
        col=c("red", "blue"), add=TRUE)
xx <- barsX[2, critB+1] + (barsX[1, critB+2] - barsX[2, critB+1])/4
abline(v=xx, col="green", lwd=2)
text(xx - 0.4, 0.34, adj=1, label="kritischer Wert")

Nvec     <- 2:15
critBvec <-   qbinom(1-alpha,  size=Nvec, prob=pH0)
powBvec  <- 1-pbinom(critBvec, size=Nvec, prob=pH1)

opMar <- par(mar=c(5, 4, 4, 4))
plot(Nvec, critBvec, main="Powerfunktion und kritischer Wert beim Binomialtest",
     xlab="N", xaxt="n", yaxt="n", lwd=2, type="s", pch=16, col="red",
     ylab="kritischer Wert", cex=1.4, cex.main=1)
axis(side=1, at=seq(Nvec[1], Nvec[length(Nvec)], by=1))
axis(side=2, at=seq(min(critBvec), max(critBvec), by=1), col="red")
par(new=TRUE)
plot(Nvec, powBvec, ylim=c(0, 1), type="b", lwd=2, pch=16, col="blue",
     xlab=NA, ylab=NA, axes=FALSE, cex=1.4)
axis(side=4, at=seq(0, 1, by=0.1), col="blue")
mtext(text="Power", side=4, line=3, cex=1.4)
par(opMar)
par(op)

##### 8.9.2
nSubj  <- 10
muH0   <- 0
muH1   <- 1.6
alpha  <- 0.05
sigma  <- 2

(d     <- (muH1-muH0) / sigma)
(delta <- (muH1-muH0) / (sigma/sqrt(nSubj)))
(critT <- qt(1-alpha, nSubj-1))
(powT  <- 1-pt(critT, nSubj-1, delta))

tVals  <- seq(-5, 10, length.out=100)
yH0    <- dt(tVals, nSubj-1, 0)
yH1    <- dt(tVals, nSubj-1, delta)
dev.new(width=7, height=7)
plot(tVals, yH0, type="l", lwd=2, col="red", xlab="t", ylab="Dichte",
     main="Verteilung von t unter H0 und H1", ylim=c(0, 0.4), cex.lab=1.4)
points(tVals, yH1, type="l", lwd=2, col="blue", lty=2)

tLeft  <- seq(-5,    critT, length.out=100)
tRight <- seq(critT, 10,    length.out=100)
yH0r   <- dt(tRight, nSubj-1, 0)
yH1l   <- dt(tLeft,  nSubj-1, delta)
yH1r   <- dt(tRight, nSubj-1, delta)
polygon(c(tRight, rev(tRight)), c(yH0r, numeric(length(tRight))), border=NA,
        col=rgb(1, 0.3, 0.3, 0.6))
polygon(c(tLeft,  rev(tLeft)),  c(yH1l, numeric(length(tLeft))),  border=NA,
        col=rgb(0.3, 0.3, 1, 0.6))
polygon(c(tRight, rev(tRight)), c(yH1r, numeric(length(tRight))), border=NA,
        density=5, lty=2, angle=45, col="darkgray")
abline(v=critT, lty=1, lwd=2, col=rgb(0, 1, 0, 0.5))
text(critT+0.2, 0.4,  adj=0, label="kritischer Wert")
text(critT-2.8, 0.3,  adj=1, label="Verteilung unter H0")
text(critT+1.5, 0.3,  adj=0, label="Verteilung unter H1")
text(critT+1.0, 0.08, adj=0, label="Power")
text(critT-0.7, 0.05,  expression(beta))
text(critT+0.5, 0.015, expression(alpha))

power.t.test(n=NULL, delta=muH1-muH0, sd=sigma, sig.level=0.05, power=0.9,
             type="one.sample", alternative="one.sided")

##### 8.9.3
mus   <- c(100, 110, 115)
sigma <- 10
power.anova.test(groups=3, n=NULL, between.var=var(mus), within.var=sigma^2,
                 sig.level=0.05, power=0.9)

P       <- 3
nSubj   <- c(21, 17, 19)
mus     <- c(100, 110, 115)
sigma   <- 15
grandMu <- sum(nSubj * mus) / sum(nSubj)
alphas  <- mus - grandMu
varMus  <- sum(nSubj * alphas^2) / sum(nSubj)

(fSq    <- varMus /  sigma^2)
(etaSq  <- varMus / (sigma^2 + varMus))
(lambda <- sum(nSubj * alphas^2) / sigma^2)
(critF  <- qf(1-0.05, P-1, sum(nSubj)-P))
(powF   <- 1-pf(critF, P-1, sum(nSubj)-P, lambda))

fVals   <- seq(0, 1.2, length.out=100)
nn      <- seq(10, 25, by=5)

getFPow <- function(n) {
    critF <- qf(1-0.05, P-1, P*n - P)
    1-pf(critF, P-1, P*n - P, P*n * fVals^2)
}

powsF <- sapply(nn, getFPow)

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), cex.lab=1.2, cex.main=1.2)
yStr <- "Wahrscheinlichkeit der Annahme von H1"
mStr <- substitute(paste("Power als Funktion der Effektstrke f (", alpha, "=0.05)"))
matplot(fVals, powsF, type="l", lty=1, lwd=2, xlab="f", ylab=yStr,
        xlim=c(-0.05, 1.1), main=mStr, col=c("blue", "red", "darkgreen", "green"))
lines(c(-2, 0, 0), c(0.05, 0.05, -2), lty=2, lwd=2)
abline(h=1, lty=2, lwd=2)
mtext("f=0", side=1, at=0)
mtext(substitute(paste(alpha, "=0.05", sep="")), side=2, at=0.05, las=1)
legend(x="bottomright", legend=paste("N =", c(10, 15, 20, 25)), lwd=2,
       col=c("blue", "red", "darkgreen", "green"))

getOneFn <- function(pp, varB) {
    res <- power.anova.test(groups=P, n=NULL, between.var=varB,
                            within.var=sigma^2, sig.level=0.05, power=pp)
    res$n
}

getManyFn <- function(ff, powF) {
    varB <- ff^2 * (P/(P-1)) * sigma^2
    sapply(powF, getOneFn, varB)
}

fVals <- seq(0.1, 0.85, length.out=100)
pows  <- seq(0.8, 0.95, by=0.05)
minN  <- sapply(fVals, getManyFn, pows)

yStr  <- "Mindeststichprobengre (pro Gruppe)"
mStr  <- substitute(paste("Mindest-N als Funktion der Effektstrke f (", alpha, "=0.05)"))
matplot(fVals, t(minN), type="l", lty=1, lwd=2, xlab="f", ylab=yStr,
        xlim=c(0.1, 0.8), main=mStr, col=c("blue", "red", "darkgreen", "green"))
legend(x="topright", legend=paste("Power = ", c(0.80, 0.85, 0.90, 0.95)), lwd=2,
       col=c("blue", "red", "darkgreen", "green"))
par(op)

####*---------------------------------------------------------------------------
##### 9 Multivariate Verfahren
#####---------------------------------------------------------------------------

##### 9.1 Multivariate multiple Regression
nSubj  <- 100
height <- rnorm(nSubj, 175, 7)
age    <- rnorm(nSubj, 30, 8)
sport  <- abs(rnorm(nSubj, 60, 30))
weight <- 0.5*height - 0.3*age - 0.4*sport + 10 + rnorm(nSubj, 0, 3)
health <- -0.3*age + 0.6*sport + rnorm(nSubj, 4)
## fr Daten des Buches diese Datei laden:
# load("data_mvMultRegr.Rdata")
Y      <- cbind(weight, health)

(model <- lm(Y ~ height + age + sport))
lm(weight ~ height + age + sport)
lm(health ~ height + age + sport)

X   <- cbind(height, age, sport)
Sx  <- cov(X)
Sxy <- cov(X, Y)
(B  <- solve(Sx, Sxy))
(a  <- as.vector(colMeans(Y) - t(B) %*% colMeans(X)))

fitMat <- sweep(X %*% B, 2, a, "+")
all.equal(c(fitMat), c(fitted(model)))

#####---------------------------------------------------------------------------
##### 9.2 Hauptkomponentenanalyse
sigma <- matrix(c(4, 2, 2, 3), ncol=2)
mu    <- c(1, 2)
nSubj <- 500
library(mvtnorm)
X     <- rmvnorm(n=nSubj, mean=mu, sigma=sigma)
## fr Daten des Buches diese Datei laden:
# load("data_pca.Rdata")
(pca  <- prcomp(X))

coeff <- pca[[2]]
t(coeff) %*% coeff

ctr    <- colMeans(X)
eig    <- eigen(cov(X))
eigVal <- eig$values
eigVec <- eig$vectors
eigScl <- sweep(eigVec, 2, sqrt(eigVal), "*")
xMat   <- rbind(ctr[1] - eigScl[1, ], ctr[1])
yMat   <- rbind(ctr[2] - eigScl[2, ], ctr[2])

p1 <- ctr + eigScl[ , 1]
p2 <- ctr + eigScl[ , 2]
b1 <- (p1[2]-ctr[2]) / (p1[1]-ctr[1])
a1 <- ctr[2] - b1*ctr[1]
b2 <- (p2[2]-ctr[2]) / (p2[1]-ctr[1])
a2 <- ctr[2] - b2*ctr[1]

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), cex.lab=1.2, cex.main=1.2)
plot(X[ , 1], X[ , 2], xlab="x", ylab="y", main="Datenwolke und Hauptkomponenten")
abline(a=a1, b=b1)
abline(a=a2, b=b2)
matlines(xMat, yMat, lty=1, lwd=6, col="blue")
points(ctr[1], ctr[2], pch=16, col="red", cex=3)
legend(x="topleft", legend=c("Daten", "Achsen HK", "Streuungen HK", "Zentroid"),
       pch=c(1, NA, NA, 16), lty=c(NA, 1, 1, NA),
       col=c("black", "black", "blue", "red"))

sqrt(eig$values)
eig$vectors

pc    <- X %*% coeff
(pcSd <- apply(pc, 2, sd))

summary(pca)
pca[[1]]^2 / sum(diag(cov(X)))

B    <- sweep(coeff, 2, pca[[1]], "*")
Hs   <- scale(pc)
mat  <- t(B %*% t(Hs))
repr <- sweep(mat, 2, ctr, "+")
all.equal(X, repr)
sum((X-repr)^2)

mat1  <- t(B[ , 1] %*% t(Hs[ , 1]))
repr1 <- sweep(mat1, 2, ctr, "+")
sum((X-repr1)^2)

plot(X[ , 1], X[ , 2], xlab="x", ylab="y", pch=3,
     main="Originaldaten und Approximation")
abline(a=a1, b=b1)
abline(a=a2, b=b2)
points(repr1, pch=1, lwd=2, col=rgb(0, 1, 0, 0.2), cex=2)
points(ctr[1], ctr[2], pch=16, col="red", cex=3)
legend(x="topleft", legend=c("Daten", "Achsen HK", "Zentroid", "Approximation"),
       pch=c(3, NA, 16, 1), lty=c(NA, 1, NA, NA),
       col=c("black", "black", "red", "green"))
par(op)

B %*% t(B)
cov(X)
B[ , 1] %*% t(B[ , 1])

(pcaPrin <- princomp(X))
pcaPrin$loadings

covMat <- cov.wt(pc, method="ML")$cov
sqrt(diag(covMat))

#####---------------------------------------------------------------------------
##### 9.3 Faktorenanalyse
nSubj   <- 200
nVar    <- 6
nFac    <- 2
(lambda <- matrix(c(0.7,-0.4, 0.8,0, -0.2,0.9, -0.3,0.4, 0.3,0.7, -0.8,0.1),
                  nrow=nVar, ncol=nFac, byrow=TRUE))
Kf      <- diag(nFac)
mu      <- c(5, 15)
library(mvtnorm)
f       <- t(rmvnorm(nSubj, mean=mu, sigma=Kf))
e       <- rnorm(nSubj, 0, 10)
X       <- t(lambda %*% f + e)

## fr Daten des Buches diese Datei laden:
# load("data_factanal.Rdata")
(fa <- factanal(X, factors=2, scores="regression"))

colSums((fa$loadings)^2)
colSums((fa$loadings)^2) / sum(diag(cor(X)))

Rr    <- fa$loadings %*% t(fa$loadings)
eigRr <- eigen(Rr)
eigRr$values

1 - fa$uniqueness
rowSums((fa$loadings)^2)

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), cex.main=1.2, cex.lab=1.2)
plot(fa$loadings, xlab="Faktor 1", ylab="Faktor 2", xlim=c(-1.1, 1.1),
     ylim=c(-1.1, 1.1), pch=20, asp=1, main="Faktorenanalyse: Ladungen und Faktoren")
abline(h=0, v=0)
arrows(0, 0, c(1, 0), c(0, 1), col="blue", lwd=2)
angles <- seq(0, 2*pi, length.out=200)
circ   <- cbind(cos(angles), sin(angles))
lines(circ)

Vx    <- cov(X)
KxEst <- fa$loadings %*% t(fa$loadings) + diag(fa$uniquenesses)
VxEst <- diag(sqrt(diag(Vx))) %*% KxEst %*% diag(sqrt(diag(Vx)))

ang   <- pi/3
G     <- matrix(c(cos(ang), -sin(ang), sin(ang), cos(ang)), nrow=2, byrow=TRUE)
(Lrot <- fa$loadings %*% G)
KxEstRot <- Lrot %*% t(Lrot) + diag(fa$uniquenesses)
all.equal(KxEst, KxEstRot)

arrows(0, 0, G[1, ], G[2, ], col="green", lwd=2)
segments(0, 0, -G[1, ], -G[2, ])
text(fa$loadings[ , 1] , fa$loadings[ , 2]+0.08, label=paste("Var", 1:nVar))
legend(x="bottomright", legend=c("Ladungen", "Faktoren", "rotierte Faktoren"),
       pch=c(20, NA, NA), lty=c(NA, 1, 1), col=c("black", "blue", "green"))

plot(eigen(cor(X))$values, type="b", ylab="Eigenwert", main="Scree-Plot")
abline(h=1)
par(op)

G     <- matrix(c(5/3, -1, -4/3, 8/5), nrow=2, byrow=TRUE)
KfRot <- t(G) %*% diag(nFac) %*% G
Lrot  <- fa$loadings %*% solve(t(G))
facStruct <- fa$loadings %*% diag(nFac) %*% G
KxEstRot  <- Lrot %*% KfRot %*% t(Lrot) + diag(fa$uniquenesses)
all.equal(KxEst, KxEstRot)

#####---------------------------------------------------------------------------
##### 9.4 Multidimensionale Skalierung
cities  <- c("Augsburg", "Berlin", "Dresden", "Hamburg", "Hannover",
             "Karlsruhe", "Kiel", "Mnchen", "Rostock", "Stuttgart")
nCities <- length(cities)
dstMat  <- matrix(numeric(nCities^2), nrow=nCities)
#              B   DD   HH    H   KA   KI    M  HRO    S
cityDst <- c(596, 467, 743, 599, 226, 838,  65, 782, 160, # AUG
                  194, 288, 286, 673, 353, 585, 231, 633, # B
                       477, 367, 550, 542, 465, 420, 510, # DD
                            157, 623,  96, 775, 187, 665, # HH
                                 480, 247, 632, 330, 512, # H
                                      723, 298, 805,  80, # KA
                                           872, 206, 752, # KI
                                                777, 220, # M
                                                     824) # HRO

dstMat[upper.tri(dstMat)] <- rev(cityDst)
dstMat <- t(dstMat[ , ncol(dstMat):1])[ , ncol(dstMat):1]
dstMat[lower.tri(dstMat)] <- t(dstMat)[lower.tri(dstMat)]
dimnames(dstMat) <- list(city=cities, city=cities)

(mds <- cmdscale(dstMat, k=2))

xLims <- range(mds[ , 1]) + c(0, 250)
dev.new(width=7, height=7)
plot(mds, xlim=xLims, xlab="West-Ost", ylab="Sd-Nord", pch=16,
     main="Anordnung der Stdte nach MDS", cex.lab=1.4)
text(mds[ , 1]+50, mds[ , 2], adj=0, label=cities)

#####---------------------------------------------------------------------------
##### 9.5 Hotellings T^2
##### 9.5.1
sigma <- matrix(c(16,-1, -1,9), byrow=TRUE, ncol=2)
mu11  <- c(-3, 2)
library(mvtnorm)
nSubj <- c(15, 20, 25)
Y11   <- round(rmvnorm(n=nSubj[1], mean=mu11, sigma=sigma))
muH0  <- c(-1, 2)

## fr Daten des Buches diese Datei laden:
# load("data_manova.Rdata")
library(ICSNP)
HotellingsT2(Y11, mu=muH0)

Y11ctr <- sweep(Y11, 2, muH0, "-")
(anRes <- anova(lm(Y11ctr ~ 1), test="Hotelling-Lawley"))

n     <- nSubj[1]
ctr   <- colMeans(Y11)
(T2   <- n * (t(ctr-muH0) %*% solve(cov(Y11)) %*% (ctr-muH0)))
n * mahalanobis(ctr, muH0, cov(Y11))
(n-1) * anRes$"Hotelling-Lawley"[1]
P     <- 2
(T2f  <- ((n-P) / (P*(n-1))) * T2)
(pVal <- 1-pf(T2f, P, n-P))

##### 9.5.2
mu12 <- c(-2, 0)
Y12  <- round(rmvnorm(n=nSubj[2], mean=mu12, sigma=sigma))

## fr Daten des Buches diese Datei laden:
# load("data_manova.Rdata")
library(ICSNP)
HotellingsT2(Y11, Y12)

YH   <- rbind(Y11, Y12)
facH <- factor(rep(1:2, nSubj[1:2]))
anova(lm(YH ~ facH), test="Hotelling-Lawley")
(sumRes <- summary(manova(YH ~ facH), test="Hotelling-Lawley"))

n1    <- nSubj[1]
n2    <- nSubj[2]
ctr1  <- colMeans(Y11)
ctr2  <- colMeans(Y12)
S1    <- cov.wt(Y11, method="ML")$cov
S2    <- cov.wt(Y12, method="ML")$cov
Su    <- (1 / (n1+n2-2)) * (n1*S1 + n2*S2)
(T2   <- ((n1*n2) / (n1+n2)) * (t(ctr2-ctr1) %*% solve(Su) %*% (ctr2-ctr1)))
((n1*n2) / (n1+n2)) * mahalanobis(ctr1, ctr2, Su)
(n1+n2-2) * sumRes$stats[1, 2]
P     <- 2
(T2f  <- ((n1+n2-P-1) / ((n1+n2-2)*P)) * T2)
(pVal <- 1-pf(T2f, P, n1+n2-P-1))

#####---------------------------------------------------------------------------
##### 9.6 Multivariate Varianzanalyse
##### 9.6.1
mu13 <- c(-4, -1)
Y13  <- round(rmvnorm(n=nSubj[3], mean=mu13, sigma=sigma))
YM   <- rbind(Y11, Y12, Y13)
facM <- factor(rep(1:3, nSubj))
## fr Daten des Buches diese Datei laden:
# load("data_manova.Rdata")

manResO <- manova(YM ~ facM)
summary(manResO, test="Wilks")
summary(manResO, test="Roy")
summary(manResO, test="Pillai")
summary(manResO, test="Hotelling-Lawley")

X  <- cbind(as.numeric(facM == 1), as.numeric(facM == 2), as.numeric(facM == 3))
P  <- X %*% solve(t(X) %*% X) %*% t(X)
Pw <- diag(nrow(P)) - P

ones <- rep(1, nrow(X))
Pm   <- ones %*% solve(t(ones) %*% ones) %*% t(ones)
Pt   <- diag(nrow(Pm)) - Pm
Pb   <- P - Pm

TT <- t(YM) %*% Pt %*% YM
BB <- t(YM) %*% Pb %*% YM
WW <- t(YM) %*% Pw %*% YM

all.equal(TT, BB + WW)

(PB   <- sum( diag(solve(TT) %*% BB)))
(WL   <- det(WW) / det(TT))
(RLRt <- max(eigen(solve(TT) %*% BB)$values))
(RLRl <- max(eigen(solve(WW) %*% BB)$values))
RLRt / (1-RLRt)
(HL   <- sum( diag(solve(WW) %*% BB)))

##### 9.6.2
mu21  <- c(-2,  1)
mu22  <- c(-1, -1)
mu23  <- c(-5, -2)
Y21   <- round(rmvnorm(nSubj[1], mu21, sigma))
Y22   <- round(rmvnorm(nSubj[2], mu22, sigma))
Y23   <- round(rmvnorm(nSubj[3], mu23, sigma))
## fr Daten des Buches diese Datei laden:
# load("data_manova.Rdata")
YMt   <- rbind(YM, Y21, Y22, Y23)
facT1 <- rep(facM, 2)
facT2 <- factor(rep(1:2, each=sum(nSubj)))

manResT <- manova(YMt ~ facT1 + facT2)
summary(manResT, test="Pillai")
summary(manResT, test="Wilks")
summary(manResT, test="Roy")
summary(manResT, test="Hotelling-Lawley")

####*---------------------------------------------------------------------------
##### 10 Diagramme erstellen
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 10.1 Graphik Devices
##### 10.1.1
# windows(); windows(); windows()
## plattformbergreifend (Windows, Linux, MacOS X):
dev.new(); dev.new(); dev.new()
dev.list()
dev.cur()
dev.set(3)
dev.set(dev.next())
dev.off()
graphics.off()

#####---------------------------------------------------------------------------
##### 10.1.2
pdf("pdf_test.pdf")
plot(1:10, rnorm(10))
dev.off()

plot(1:10, rnorm(10))
dev.copy(jpeg, filename="copied.jpg", quality=90)
graphics.off()

#####---------------------------------------------------------------------------
##### 10.2 Streu- und Liniendiagramme
##### 10.2.1
vec <- rnorm(1:10)
dev.new(width=10, height=7)
op <- par(mfrow=c(2, 3), cex.lab=1.4)
plot(vec, type="p", xlab=NA, main="type p", cex=1.5)
plot(vec, type="l", xlab=NA, main="type l", cex=1.5)
plot(vec, type="b", xlab=NA, main="type b", cex=1.5)
plot(vec, type="o", xlab=NA, main="type o", cex=1.5)
plot(vec, type="s", xlab=NA, main="type s", cex=1.5)
plot(vec, type="h", xlab=NA, main="type h", cex=1.5)
par(op)

vec1 <- sample(1:10, 200, replace=TRUE)
vec2 <- sample(1:10, 200, replace=TRUE)
dev.new(width=7, height=4)
op <- par(mfrow=c(1, 2), cex.main=0.9)
plot(vec2 ~ vec1, main="Punktwolke")
plot(jitter(vec2) ~ vec1, main="Punktwolke mit jitter")
par(op)

##### 10.2.2
vec <- rnorm(10)
dev.new(width=7, height=7)
plot(vec)
## identify(vec)

##### 10.2.3
vec <- seq(from=-2*pi, to=2*pi, length.out=50)
mat <- cbind(2*sin(vec), sin(vec-(pi/4)), 0.5*sin(vec-(pi/2)))
dev.new(width=7, height=7)
matplot(vec, mat, type="b", xlab=NA, ylab=NA, pch=1:3, main="Sinuskurven")

#####---------------------------------------------------------------------------
##### 10.3 Diagramme formatieren
##### 10.3.1
matX <- matrix(rep(1:6, 11),      ncol=11)
matY <- matrix(rep(0:10, each=6), ncol=11)

dev.new(width=7, height=7)
op <- par(mar=c(1, 1, 4, 2))
plot(0:6, seq(0, 10, length.out=length(0:6)), type="n", xlab=NA, ylab=NA,
     axes=FALSE, main="pch Datenpunkt-Symbole und lty Linientypen")
points(matX[1:26], matY[1:26], pch=0:25, bg="gray", cex=2)
matpoints(matX[ , 6:11], matY[ , 6:11], type="l", lty=6:1, lwd=2, col="black")
text(matX[1:26]-0.3, matY[1:26],    label=0:25)
text(rep(0.7, 6),    matY[1, 6:11], label=6:1)
text(0, 7.5, label="Linientypen fr lty", srt=90, cex=1.2)
text(0, 2.0, label="Symbole fr pch",     srt=90, cex=1.2)
par(op)

dev.new(width=7, height=4)
opv <- par(mfrow=c(1, 2), cex.main=0.9)
op  <- par(col="red", lwd=2, pch=16)
plot(rnorm(10), main="Rot, fett, gefllte Kreise")
par(op)
plot(rnorm(10), main="Standardformatierung")
par(opv)

##### 10.3.2
rgb(0, 1, 1)
rgb(t(col2rgb("red")/255))
hsv(0.1666, 1, 1)
gray(0.5)
## orgPal <- palette(rainbow(10))

##### 10.3.3

#####---------------------------------------------------------------------------
##### 10.4 Sulen- und Punktdiagramme
##### 10.4.1
dice  <- sample(1:6, 100, replace=TRUE)
## fr Daten des Buches diese Datei laden:
# load("data_barplot.Rdata")
(dTab <- table(dice))

dev.new(width=7, height=4)
op <- par(mfrow=c(1, 2), cex.main=0.9)
barplot(dTab, ylim=c(0, 30), xlab="Augenzahl", ylab="N", col="red",
        main="Absolute Hufigkeiten")
barplot(prop.table(table(dice)), ylim=c(0, 0.3), xlab="Augenzahl",
        ylab="relative Hufigkeit", col="blue", main="Relative Hufigkeiten")
par(op)

##### 10.4.2
## fr Daten des Buches diese Datei laden:
# load("data_barplot.Rdata")
roll1   <- dice[1:50]
roll2   <- dice[51:100]
rollAll <- rbind(table(roll1), table(roll2))
rownames(rollAll) <- c("first", "second"); rollAll

dev.new(width=12, height=4.5)
op <- par(mfrow=c(1, 3), cex.lab=1.5, cex.main=1.5)
barplot(rollAll, beside=FALSE, legend.text=TRUE, xlab="Augenzahl", ylab="N",
        main="Absolute Hufigkeiten in zwei Substichproben")
barplot(rollAll, ylim=c(0, 15), col=c("red", "green"), beside=TRUE,
        legend.text=TRUE, xlab="Augenzahl", ylab="N",
        main="Absolute Hufigkeiten in zwei Substichproben")

nSubj  <- 100
age    <- sample(18:45, nSubj, replace=TRUE)
drinks <- c("beer", "red wine", "white wine")
pref   <- factor(sample(drinks, nSubj, replace=TRUE))
xRange <- round(range(age), -1) + c(-10, 10)
lims   <- seq(xRange[1], xRange[2], by=10)
## fr Daten des Buches diese Datei laden:
# load("data_barplot.Rdata")
spineplot(x=age, y=pref, xlab="Altersstufe", ylab="Getrnk", breaks=lims,
          main="Bevorzugte Getrnke pro Altersstufe")
par(op)

##### 10.4.3
nSubj   <- 5
group1  <- rnorm(nSubj, 20, 2)
group2  <- rnorm(nSubj, 25, 2)
DV      <- c(group1, group2)
IV      <- factor(rep(1:2, each=nSubj))
groupMs <- tapply(DV, IV, mean)

dev.new(width=7, height=7)
dotchart(DV, gdata=groupMs, pch=20, color=rep(c("red", "blue"), each=nSubj),
         gcolor="black", labels=rep(LETTERS[1:nSubj], 2), groups=IV, xlab="AV",
         ylab="Gruppen", main="Individuelle Ergebnisse und Mittelwerte aus 2 Gruppen",
         cex=1.3, cex.lab=1.4, cex.main=1)

#####---------------------------------------------------------------------------
##### 10.5 Elemente einem bestehenden Diagramm hinzufgen
##### 10.5.1
dev.new(width=7, height=7)
plot(rnorm(10))
## locator(n=5)

##### 10.5.2
xA <- seq(-15, 15, length.out=200)
yA <- sin(xA) / xA
dev.new(width=7, height=7)
plot(xA, yA, type="l", xlab="x", ylab="sinc(x)",
     main="Punkte und Linien einfgen", lwd=1.6, cex.lab=1.4)

xB <- seq(-15, 15, length.out=30)
yB <- sin(xB) / xB
points(xB, yB, col="red", pch=20)

##### 10.5.3
yC <- sin(pi * xA) / (pi * xA)
lines(xA, yC, col="blue", type="l", lwd=1.6)
abline(h=0, v=0, col="green", lwd=1.6)

height <- rnorm(20, 175, 7)
weight <- 0.5*height + 10 + rnorm(20, 0, 4)
model  <- lm(weight ~ height)
pred   <- predict(model)
## fr Daten des Buches diese Datei laden:
# load("data_addGridArrows.Rdata")

dev.new(width=7, height=7)
plot(weight ~ height, asp=1, lwd=2, col="blue", pch=16,
     main="Gitter, Segmente und Pfeile einfgen", cex.lab=1.4)
abline(model, lwd=2)
grid()
segments(x0=height, y0=pred, x1=height, y1=weight, col="gray")
arrows(x0=c(height[1]-3, height[3]),   y0=c(weight[1], weight[3]+3),
       x1=c(height[1]-0.5, height[3]), y1=c(weight[1], weight[3]+0.5),
       col="red", lwd=2)
arrows(x0=height[4]+0.1*(height[8]-height[4]), y0=weight[4]+0.1*(weight[8]-weight[4]),
       x1=height[4]+0.9*(height[8]-height[4]), y1=weight[4]+0.9*(weight[8]-weight[4]),
       col="red", lwd=2, code=3)

##### 10.5.4
n      <- 7
len    <- 1/n
colsR  <- rep(seq(0.9, 0.2, length.out=n), each=n)
colsG  <- rep(seq(0.9, 0.2, length.out=n), n)
cols   <- rgb(colsR, colsG, 0)
## als Graustufen
## grays  <- rep(1:n, n) - rep(0:(n-1), each=n)
## grays  <- ((grays-min(grays)) / (max(grays)-min(grays)) * 0.8) + 0.1
## cols   <- gray(grays)
xLeft  <- rep(seq(0,   1-len, by=len), n)
yBot   <- rep(seq(0,   1-len, by=len), each=n)
xRight <- rep(seq(len, 1,     by=len), n)
yTop   <- rep(seq(len, 1,     by=len), each=n)

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), oma=c(1, 1, 1, 1), mar=c(0, 0, 1, 0))
plot(c(0, 1), c(0, 1), axes=FALSE, type="n", asp=1, main="Farbverlauf",
     cex.main=1.2)
rect(xLeft, yBot, xRight, yTop, border=NA, col=cols)
idx   <- c(10, 27)
xText <- xLeft[idx] + (xRight[idx]-xLeft[idx])/2
yText <- yBot[idx]  + (yTop[idx]  - yBot[idx])/2
text(xText, yText, label=cols[idx])
shuffled <- sample(seq(along=cols), length(cols), replace=FALSE)
idxS     <- c(which(shuffled == idx[1]), which(shuffled == idx[2]))
plot(c(0, 1), c(0, 1), axes=FALSE, type="n", asp=1,
     main="Dieselben Farben zufllig angeordnet", cex.main=1.4)
rect(xLeft, yBot, xRight, yTop, border=NA, col=cols[shuffled])
xTextS   <- xLeft[idxS] + (xRight[idxS]-xLeft[idxS])/2
yTextS   <- yBot[idxS]  + (yTop[idxS]  - yBot[idxS])/2
text(xTextS, yTextS, label=cols[idx])
par(op)

mu    <- 0
sigma <- 3
xLims <- c(mu-4*sigma, mu+4*sigma)
myX   <- seq(xLims[1], xLims[2], length.out=100)
myY   <- dnorm(myX, mu, sigma)
selX  <- seq(mu-sigma, mu+sigma, length.out=100)
selY  <- dnorm(selX, mu, sigma)
cdf   <- pnorm(myX, mu, sigma)

dev.new(width=7, height=7)
op <- par(mar=c(5, 4, 4, 5), cex.lab=1.4)
plot(myX, myY, type="n", xlim=xLims-c(-2, 2), xlab=NA, ylab=NA,
     main="Dichtefunktion und Verteilungsfunktion N(0, 3)")
box(which="plot", col="gray", lwd=2)
polygon(c(selX, rev(selX)), c(selY, rep(-1, length(selX))), border=NA, col="lightgray")
points(myX, myY, type="l", lwd=2)
par(new=TRUE)
plot(myX, cdf, xlim=xLims-c(-2, 2), type="l", lwd=2, col="blue", xlab="x",
     ylab=NA, axes=FALSE)
axis(side=4, at=seq(0, 1, by=0.1), col="blue")
segments(x0=c(mu-sigma, mu, mu+sigma), y0=c(-1, -1, -1), x1=c(mu-sigma, mu, mu+sigma),
         y1=c(pnorm(mu-sigma, mu, sigma), pnorm(mu, mu, sigma), pnorm(mu+sigma, mu, sigma)),
         lwd=2, col=c("darkgreen", "red", "darkgreen"), lty=2)
segments(x0=c(mu-sigma, mu, mu+sigma), y0=c(pnorm(mu-sigma, mu, sigma), pnorm(mu, mu, sigma), pnorm(mu+sigma, mu, sigma)),
         x1=xLims[2]+10, y1=c(pnorm(mu-sigma, mu, sigma), pnorm(mu, mu, sigma), pnorm(mu+sigma, mu, sigma)),
         lwd=2, col=c("darkgreen", "red", "darkgreen"), lty=2)
arrows(x0=c(mu-sigma+0.2, mu+sigma-0.2), y0=-0.02, x1=c(mu-0.2, mu+0.2), y1=-0.02,
       code=3, angle=90, length=0.05, lwd=2, col="darkgreen")
mtext(text="F(x)", side=4, line=3, cex=1.4)
rect(-8.5, 0.92, -5.5, 1.0, col="lightgray", border=NA)
text(-7.2, 0.9, labels="Wahrscheinlichkeit")
text(-7.1, 0.86, expression(des~~Intervalls~~group("[", list(-sigma, sigma), "]")))
text(mu-sigma/2, 0,    expression(sigma), col="darkgreen", cex=1.2)
text(mu+sigma/2, 0,    expression(sigma), col="darkgreen", cex=1.2)
text(mu+0.5,     0.02, expression(mu),    col="red",       cex=1.2)
par(op)

##### 10.5.5
mu    <- 0
sigma <- 2
dev.new(width=7, height=7)
curve(dnorm, from=-7, to=7, col="blue", lwd=2, cex.lab=1.4)
curve((1/(sigma*sqrt(2*pi))) * exp(-0.5*(((x-mu)/sigma)^2)), add=TRUE, lwd=2, lty=2)

##### 10.5.6
title(main="zwei Normalverteilungskurven", sub="Untertitel")
legend(x="topleft", legend=c("N(0, 1)", "N(0, 2)"), col=c("blue", "black"), lty=c(1, 2))
text(x=3.5,  y=0.35, label="Standardnormalverteilung\nN(0, 1)")
text(x=-3.5, y=0.1 , label="N(0, 2)")
mtext(text="Wahrscheinlichkeitsdichte", side=3)
text(-4, 0.3, expression(frac(1, sigma*sqrt(2*pi)) ~~ exp*bgroup("(", -frac(1, 2) ~~ bgroup("(", frac(x-mu, sigma), ")")^2, ")")))

##### 10.5.7
vec <- seq(from=-2*pi, to=2*pi, length.out=200)
mat <- cbind(sin(vec), cos(vec), tan(vec))
mat <- ifelse(abs(mat) > 2, NA, mat)

dev.new(width=7, height=7)
matplot(vec, mat, lwd=2, col=c(12, 14, 17), type="l", lty=1, xaxt="n",
        xlab=NA, ylab=NA, main="Trigonometrische Funktionen")
xTicks  <- seq(from=-2*pi, to=2*pi, by=pi/2)
xLabels <- c("-2*pi", "-3*pi/2", "-pi", "-pi/2", "0", "pi/2", "pi", "3*pi/2", "2*pi")
axis(side=1, at=xTicks, labels=xLabels)
abline(h=c(-1, 0, 1), v=seq(from=-3*pi/2, to=3*pi/2, by=pi/2), col="gray", lty=3)
abline(h=0, v=0, lwd=2)
legend(x="bottomleft", legend=c("sin(x)", "cos(x)", "tan(x)"), lty=1, col=c(12, 14, 17))

##### 10.5.8 Fehlerbalken
##### 10.5.8.1
nSubj    <- 20
DV       <- c(rnorm(nSubj, 30, 6), rnorm(nSubj, 20, 6), rnorm(nSubj, 25, 6), 
              rnorm(nSubj, 15, 6))
IV       <- factor(rep(1:4, nSubj))
groupNs  <- tapply(DV, IV, length)
groupMs  <- tapply(DV, IV, mean)
groupSds <- tapply(DV, IV, sd)

dev.new(width=12, height=4.5)
op <- par(mfrow=c(1, 3), cex.lab=1.5, cex.main=1.5)
barsX    <- barplot(height=groupMs, ylim=c(0, 40), xaxt="n", xlab="Gruppe",
                    ylab="Mittelwert", main="Mittelwerte und Konfidenzintervalle")
axis(side=1, at=1:4, labels=LETTERS[1:4])
ciWidths <- qt(0.975, df=groupNs-1) * groupSds / sqrt(groupNs)
limHi    <- groupMs + ciWidths
limLo    <- groupMs - ciWidths
xWidth   <- 0.1
arrows(x0=barsX[1:2], y0=limLo[1:2], x1=barsX[1:2], y1=limHi[1:2], code=3,
       angle=90, length=xWidth, col="blue")
segments(x0=barsX[3:4],        y0=limLo[3:4],
         x1=barsX[3:4],        y1=limHi[3:4], col="red")
segments(x0=barsX[3:4]+xWidth, y0=limLo[3:4],
         x1=barsX[3:4]-xWidth, y1=limLo[3:4], col="red")
segments(x0=barsX[3:4]+xWidth, y0=limHi[3:4],
         x1=barsX[3:4]-xWidth, y1=limHi[3:4], col="red")

##### 10.5.8.2
library(gplots)
stripchart(DV ~ IV, method="jitter", xlab="Gruppe",
           main="Rohdaten und Konfidenzintervalle", xaxt="n",
           col="darkgray", ylim=c(0, 40), pch=16, vert=TRUE)
plotCI(x=groupMs, uiw=ciWidths, col="blue", lwd=2, pch=19, add=TRUE)
axis(side=1, at=1:4, labels=LETTERS[1:4])

means1 <- c(2, 3, 6, 3, 5)
sds1   <- c(1.7, 1.8, 1.7, 1.9, 1.8)
means2 <- c(4, 3, 2, 1, 3)
sds2   <- c(1.4, 1.7, 1.7, 1.3, 1.5)
xOff   <- 0.1
plotCI(y=c(means1, means2), x=c((1:5)-xOff, (1:5)+xOff), uiw=c(sds1, sds2),
       xlab="Faktor A", ylab="Mittelwert", ylim=c(0, 8),
       main="Mittelwerte und CIs im 5x2 Design", col=rep(c("blue", "red"), each=5),
       lty=rep(c(1, 2), each=5), pch=19, type="p")
legend(x="topleft", legend=c("B-1", "B-2"), pch=c(19, 19), col=c("blue", "red"))
par(op)

#####---------------------------------------------------------------------------
##### 10.6 Verteilungsdiagramme
##### 10.6.1
height <- rnorm(100, 175, 7)
dev.new(width=12, height=4.5)
op <- par(mfrow=c(1, 3), cex.main=1.5, cex.lab=1.5)
hist(height, xlab="height [cm]", ylab="N")
fromTo <- c(round(min(height), -1)-10, round(max(height), -1)+10)
limits <- seq(from=fromTo[1], to=fromTo[2], 5)
hist(height, freq=FALSE, xlim=fromTo, xlab="height [cm]",
     ylab="relative Hufigkeit", breaks=limits,
     main="Histogramm und Normalverteilung")
rug(jitter(height))
xNormal <- seq(from=fromTo[1], to=fromTo[2], length.out=50)
yNormal <- dnorm(xNormal, mean=mean(height), sd=sd(height))
lines(xNormal, yNormal, lwd=2, col="blue")

hist(height, freq=FALSE, xlim=fromTo, xlab="height [cm]",
     main="Histogramm und Schtzung der Dichte")
lines(density(height), lwd=2, col="blue")
rug(jitter(height))
par(op)

##### 10.6.2
stem(rnorm(100, 175, 7))

##### 10.6.3
nSubj   <- 40
nGroups <- 3
DV      <- rnorm(nGroups*nSubj, mean=100, sd=15)
IV      <- factor(rep(c("Control", "Group A", "Group B"), each=nSubj))
dev.new(width=5, height=5)
boxplot(DV ~ IV, ylab="Score", col=c("red", "blue", "green"),
        main="Boxplots der Scores in 3 Gruppen", cex.lab=1.2)

##### 10.6.4
nRolls  <- 25
nGroups <- 4
dice    <- sample(1:6, nGroups*nRolls, replace=TRUE)
group   <- factor(rep(1:nGroups, each=nRolls))
## fr Daten des Buches diese Datei laden:
# load("data_stripchart.Rdata")

dev.new(width=7, height=4)
op <- par(mfrow=c(1, 2), cex.main=0.9)
stripchart(dice ~ group, xlab="Augenzahl", ylab="Gruppe", pch=1,  col="blue",
           main="Wrfelwrfe - 4 Gruppen", sub="jitter-Methode", method="jitter")
stripchart(dice ~ group, xlab="Augenzahl", ylab="Gruppe", pch=16, col="red",
           main="Wrfelwrfe - 4 Gruppen", sub="stack-Methode",  method="stack")
par(op)

##### 10.6.5
vec1 <- rnorm(200)
vec2 <- rf(200, df1=3, df2=15)

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), cex.main=1.2, cex.lab=1.2)
qqplot(vec1, vec2, xlab="Quantile N(0, 1)", ylab="Quantile F(3, 15)",
       main="Vergleich der Quantile von N(0, 1) und F(3, 15)-Verteilung")

height <- rnorm(100, 175, 7)
qqnorm(height)
qqline(height, col="red", lwd=2)
par(op)

##### 10.6.6
vec    <- round(rnorm(10), 1)
myStep <- ecdf(vec)
dev.new(width=7, height=7)
plot(myStep, main="Empirische kumulative Hufigkeitsverteilung", cex.lab=1.4)
curve(pnorm, add=TRUE, col="gray", lwd=2)

##### 10.6.7
dice <- sample(1:6, 100, replace=TRUE)
dTab <- table(dice)

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), mar=c(1, 1, 4, 1))
pie(dTab, col=c("blue", "red", "yellow", "pink", "green", "orange"),
    main="Relative Hufigkeiten beim Wrfeln")

dTabFreq <- prop.table(dTab)
textRad  <- 0.5
angles   <- dTabFreq * 2 * pi
csAngles <- cumsum(angles)
csAngles <- csAngles - angles/2
textX    <- textRad * cos(csAngles)
textY    <- textRad * sin(csAngles)
text(x=textX, y=textY, label=dTabFreq)

pie(rep(1, 1000), labels="", border=NA, col=rainbow(1000),
    main="Spektrum als Farbkreis")
par(op)

##### 10.6.8
nSubj <- 200
x     <- rnorm(nSubj, 100, 15)
y     <- 0.5*x + rnorm(nSubj, 0, 10)
group <- factor(rep(LETTERS[1:2], each=nSubj/2))
## fr Daten des Buches diese Datei laden:
# load("data_distr2var.Rdata")

dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), cex.main=1.2, cex.lab=1.2)
plot(x, y, pch=c(4, 16)[unclass(group)], lwd=2,
     col=c("black", "darkgray")[unclass(group)],
     main="Gemeinsame Verteilung getrennt nach Gruppen")
legend(x="topleft", legend=c("Gruppe A", "Gruppe B"), pch=c(4, 16),
       col=c("black", "darkgray"))

mat    <- cbind(x, y)
ctr    <- colMeans(mat)
eigVal <- eigen(cov(mat))$values
eigVec <- eigen(cov(mat))$vectors
eigScl <- sweep(eigVec, 2, sqrt(eigVal), "*")
xMat   <- rbind(ctr[1] + eigScl[1, ], ctr[1] - eigScl[1, ])
yMat   <- rbind(ctr[2] + eigScl[2, ], ctr[2] - eigScl[2, ])

angles  <- seq(0, 2*pi, length.out=200)
ellBase <- cbind(sqrt(eigVal[1])*cos(angles), sqrt(eigVal[2])*sin(angles))
ellRot  <- eigVec %*% t(ellBase)

plot(mat[ , 1], mat[ , 2], xlab="x", ylab="y",
     main="Gemeinsame Verteilung zweier Variablen")
lines((ellRot+ctr)[1, ], (ellRot+ctr)[2, ], lwd=2, col="blue")
matlines(xMat, yMat, lty=1, lwd=2, col="green")
points(ctr[1], ctr[2], pch=4, col="red", lwd=3)

hullIdx <- chull(x, y)
polygon(x[hullIdx], y[hullIdx])
legend(x="bottomright", legend=c("Datenpunkte", "Zentroid", "Streuungsellipse",
       "Hauptachsen", "Konvexe Hlle"), pch=c(1, 4, NA, NA, NA),
       lty=c(NA, NA, 1, 1, 1), col=c("black", "red", "blue", "green", "black"))
par(op)

#####---------------------------------------------------------------------------
##### 10.7 Datenpunkte interpolieren
##### 10.7.1
xOne     <- 1:9
yOne     <- rnorm(9)
ptsLin   <- approx(xOne, yOne, method="linear",   n=30)
ptsConst <- approx(xOne, yOne, method="constant", n=30)
## fr Daten des Buches diese Datei laden:
# load("data_splines.Rdata")

dev.new(width=12, height=4.5)
op <- par(mfrow=c(1, 3), cex.lab=1.5, cex.main=1.5)
plot(xOne, yOne, xlab=NA, ylab=NA, pch=19, main="Datenpunkte interpolieren",
     cex=1.5)
points(ptsLin,   pch=16, col="red",  lwd=1.5)
points(ptsConst, pch=22, col="blue", lwd=1.5)
legend(x="bottomleft", c("Daten", "linear", "konstant"), pch=c(19, 16, 22),
       col=c("black", "red", "blue"))

xTwo  <- rnorm(100)
yTwo  <- 0.4 * xTwo + rnorm(100, 0, 1)

## fr Daten des Buches diese Datei laden:
# load("data_interp.Rdata")
ptsL1 <- loess.smooth(xTwo, yTwo, span=1/3)
ptsL2 <- loess.smooth(xTwo, yTwo, span=2/3)

plot(xTwo, yTwo, xlab=NA, ylab=NA, pch=16, main="Geglttetes Streudiagramm")
points(ptsL1, lwd=2, col="red",  type="l")
points(ptsL2, lwd=2, col="blue", type="l")

##### 10.7.2
## fr Daten des Buches diese Datei laden:
# load("data_interp.Rdata")
ord <- order(xTwo)
idx <- seq(8, 88, by=20)
xspline(xTwo[ord][idx], yTwo[ord][idx], c(1, -1, -1, 1, 1),
        border="darkgreen", lwd=2, open=FALSE)
legend(x="topleft", c("Daten", "Loess span 1/3", "Loess span 2/3", "xspline"),
       pch=c(19, NA, NA, NA), lty=c(NA, 1, 1, 1),
       col=c("black", "red", "blue", "darkgreen"))

plot(xOne, yOne, xlab=NA, ylab=NA, pch=19, main="Splines", cex=1.5)
ptsSpline <- spline(xOne, yOne, n=201)
smSpline1 <- smooth.spline(xOne, yOne, spar=0.25)
smSpline2 <- smooth.spline(xOne, yOne, spar=0.35)
smSpline3 <- smooth.spline(xOne, yOne, spar=0.45)
ptsX      <- seq(1, 9, length.out=201)
ptsSmSpl1 <- predict(smSpline1, ptsX)
ptsSmSpl2 <- predict(smSpline2, ptsX)
ptsSmSpl3 <- predict(smSpline3, ptsX)
lines(ptsSpline, col="darkgray", lwd=2)
matlines(x=ptsX, y=cbind(ptsSmSpl1$y, ptsSmSpl2$y, ptsSmSpl3$y),
         col=c("blue", "green", "orange"), lty=1, lwd=2)
legend(x="bottomleft", c("Daten", "Spline", "spar=0.25", "spar=0.35", "spar=0.45"),
       pch=c(19, NA, NA, NA, NA), lty=c(NA, 1, 1, 1, 1),
       col=c("black", "darkgray", "blue", "green", "orange"))
par(op)

#####---------------------------------------------------------------------------
##### 10.8 Diagramme fr dreidimensionale Daten
##### 10.8.1
muX    <- 1
muY    <- 3
sX     <- 1
sY     <- 1
rhoXY  <- 0.6
rangeX <- 2.5
rangeY <- 2.5
N      <- 50
myX    <- seq(from=muX-rangeX*sX, to=muX+rangeX*sX, length.out=N)
myY    <- seq(from=muY-rangeY*sY, to=muY+rangeY*sY, length.out=N)
aa     <-  1 / (2 * pi * sX * sY * sqrt(1-rhoXY^2))
bb     <- -1 / (2 *                    (1-rhoXY^2))
genC   <- function(x, y) { ((x-muX)^2 / sX^2) - (2*rhoXY*(x-muX)*(y-muY) / (sX*sY)) + ((y-muY)^2 / sY^2) }
cc     <- outer(myX, myY, "genC")
myZ    <- aa * exp(bb*cc)

dev.new(width=7, height=7)
contour(myX, myY, myZ, main="Hhenlinien fr 2D-NV Dichte", cex.main=1.6)
dev.new(width=7, height=7)
filled.contour(myX, myY, myZ, main="Farbige Hhenlinien fr 2D-NV Dichte",
               cex.main=1.6)

nSubj  <- 10
age    <- rnorm(nSubj, 30, 8)
sport  <- abs(-0.25*age + rnorm(nSubj, 60, 40))
weight <- -0.3*age -0.4*sport + 100 + rnorm(nSubj, 0, 3)
wScale <- (weight-min(weight)) * (0.8 / abs(diff(range(weight)))) + 0.2
## fr Daten des Buches diese Datei laden:
# load("data_symbols.Rdata")

dev.new(width=7, height=7)
symbols(age, sport, circles=wScale, inch=0.6, fg=NULL, bg=rainbow(nSubj),
        main="Gewicht in Abhngigkeit von Alter und Sport", cex.lab=1.6, cex.main=1.6)

##### 10.8.2
## fr Daten des Buches diese Datei laden:
# load("data_persp.Rdata")
dev.new(width=12, height=6.5)
op <- par(mfrow=c(1, 2), cex.main=1.4)
persp(myX, myY, myZ, xlab="x", ylab="y", zlab="Dichte", theta=5, phi=35,
      main="Dichte einer 2D Normalverteilung")

library(scatterplot3d)
vecX <- rep(seq(-10, 10, length.out=10), 10)
vecY <- rep(seq(-10, 10, length.out=10), each=10)
vecZ <- vecX*vecY
sp3  <- scatterplot3d(vecX, vecY, vecZ, type="h", main="3D Scatterplot")
sp3$points3d(vecX, vecY, vecZ, col="red", pch=16)
par(op)

library(rgl)
plot3d(vecX, vecY, vecZ, col="blue", type="s")

##### 10.8.3
nSubj  <- 25
P      <- 2
Q      <- 2
IQ     <- rnorm(P*Q*nSubj, mean=100, sd=15)
height <- rnorm(P*Q*nSubj, 175, 7)
IV1    <- factor(rep(c("control", "treatment"), each=Q*nSubj))
IV2    <- factor(rep(c("f", "m"), P*nSubj))
myDf   <- data.frame(IV1, IV2, IQ, height)
dev.new(width=7, height=7)
coplot(IQ ~ height | IV1*IV2, data=myDf)

library(lattice)
dev.new(width=7, height=7)
histogram(IQ ~ height | IV1*IV2, data=myDf, main="Histogramme pro Gruppe")

##### 10.8.4
nSubj  <- 20
P      <- 2
group  <- rep(c("CG", "T"), each=nSubj/P)
age    <- sample(18:35, nSubj, replace=TRUE)
IQ     <- round(rnorm(nSubj, mean=rep(c(100, 115), each=nSubj/P), sd=15))
rating <- round(0.4*IQ - 30 + rnorm(nSubj, 0, 10), 1)
score  <- round(-0.3*IQ + 0.7*age + rnorm(nSubj, 0, 8), 1)
## fr Daten des Buches diese Datei laden:
# load("data_pairs.Rdata")
(mvDf  <- data.frame(group, age, IQ, rating, score))

dev.new(width=7, height=7)
pairs(mvDf[c("age", "IQ", "rating", "score")], main="Streudiagramm-Matrix",
      pch=16, col=c("red", "blue")[unclass(mvDf$group)])

myHist <- function(x, ...)    { par(new=TRUE); hist(x, ..., main="") }
myEll  <- function(x, y, ...) {
    xLL      <- tapply(x, mvDf$group, "[")
    yLL      <- tapply(y, mvDf$group, "[")
    matCG    <- cbind(xLL$CG, yLL$CG)
    matT     <- cbind(xLL$T, yLL$T)
    ctrCG    <- colMeans(matCG)
    ctrT     <- colMeans(matT)
    RRcg     <- chol(cov(matCG))
    RRt      <- chol(cov(matT))
    angles   <- seq(0, 2*pi, length.out=200)
    ellCG    <- cbind(cos(angles), sin(angles)) %*% RRcg
    ellT     <- cbind(cos(angles), sin(angles)) %*% RRt
    ellCGctr <- sweep(ellCG, 2, ctrCG, "+")
    ellTctr  <- sweep(ellT,  2, ctrT,  "+")
    
    points(ctrCG[1], ctrCG[2], col="red", pch=4, lwd=2)
    lines(ellCGctr, col="red")
    
    points(ctrT[1],  ctrT[2], col="blue", pch=4, lwd=2)
    lines(ellTctr, col="blue")
}

## fr Daten des Buches diese Datei laden:
# load("data_pairs.Rdata")
pairs(mvDf[c("age", "IQ", "rating", "score")], diag.panel=myHist,
      upper.panel=myEll, main="Streudiagramm-Matrix", pch=16,
      col=c("red", "blue")[unclass(mvDf$group)])

#####---------------------------------------------------------------------------
##### 10.9 Mehrere Diagramme in einem Graphik-Device darstellen
##### 10.9.1
(mat1 <- matrix(1:4, 2, 2))
dev.new(width=5, height=5)
layout(mat1)
op <- par(lwd=3, cex=3)
layout.show(4)
par(op)

dev.new(width=5, height=5)
layout(mat1, widths=c(1, 2), heights=c(1, 2))
op <- par(lwd=3, cex=3)
layout.show(4)
par(op)

dev.new(width=7, height=7)
layout(mat1, widths=c(1, 2), heights=c(1, 2))
barplot(table(round(rnorm(100))), horiz=TRUE, main="Balkendiagramm")
boxplot(rt(100, df=5), main="Box-Whisker Plot")
stripchart(sample(1:20, 40, replace=TRUE), method="stack", main="Stripchart")
pie(table(sample(1:6, 20, replace=TRUE)), main="Kreisdiagramm")

(mat2 <- matrix(c(1, 0, 1, 2), 2, 2))
dev.new(width=7, height=7)
layout(mat2)
stripchart(sample(1:20, 40, replace=TRUE), method="stack", main="Stripchart")
barplot(table(round(rnorm(100))), main="Sulendiagramm")

##### 10.9.2
dev.new(width=7, height=4)
op <- par(mfrow=c(1, 2))
boxplot(rt(100, df=5), xlab=NA, notch=TRUE, main="Box-Whisker Plot")
plot(rnorm(10), pch=16, xlab=NA, ylab=NA, main="Streudiagramm")
par(op)

resBinom <- rbinom(1000, size=10, prob=0.3)
facBinom <- factor(resBinom, levels=0:10)
tabBinom <- table(facBinom)

dev.new(width=7, height=7)
op <- par(fig=c(0, 1, 0.20, 1), cex.lab=1.4)
plot(tabBinom, type="h", bty="n", xlim=c(0, 10), xlab=NA, ylab="Hufigkeit",
     main="Ergebnisse von 1000*10 Bernoulli Experimenten (p=0.3)")
points(names(tabBinom), tabBinom, pch=16, col="red", cex=2)
par(fig=c(0, 1, 0, 0.35), bty="n", new=TRUE)
boxplot(resBinom, horizontal=TRUE, ylim=c(0, 10), notch=TRUE, col="gray",
        xlab="Anzahl der Erfolge")
par(op)

##### 10.9.3
dev.new(width=7, height=7)
splitMat <- rbind(c(0, 0.5, 0, 0.5), c(0.15, 0.85, 0.15, 0.85), c(0.5, 1, 0.5, 1))
split.screen(splitMat)
screen(1)
barplot(table(round(rnorm(100))), main="Sulendiagramm")
screen(2)
boxplot(sample(1:20, 100, replace=TRUE) ~ factor(rep(LETTERS[1:4], each=25)),
        col=rainbow(4), notch=TRUE, main="Box-Whisker Plot")
screen(3)
plot(sample(1:20, 40, replace=TRUE), pch=20, xlab=NA, ylab=NA,
     main="Streudiagramm")
close.screen(all.screens=TRUE)

####*---------------------------------------------------------------------------
##### 11 R als Programmiersprache
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 11.1 Eigene Funktionen erstellen
sd

##### 11.1.1
##### 11.1.2
myPlot <- function(x, y, xLims=xRange) {
    xRange <- round(range(x), -1) + c(-10, 10)
    plot(x, y, xlim=xLims)
}

##### 11.1.3
##### 11.1.4
dnorm100.5   <- function(x) { dnorm(x, mean=100, sd=5)   }
dnorm100.7.5 <- function(x) { dnorm(x, mean=100, sd=7.5) }
dnorm100.10  <- function(x) { dnorm(x, mean=100, sd=10)  }
dnorm100.15  <- function(x) { dnorm(x, mean=100, sd=15)  }

dev.new(width=7, height=7)
curve(dnorm100.5,   from=50, to=150, col="green", lwd=2,
      main="Normalverteilungen", xlab=NA, ylab="Dichte", cex.lab=1.4)
curve(dnorm100.7.5, from=50, to=150, col="red",   lwd=2, add=TRUE)
curve(dnorm100.10,  from=50, to=150, col="blue",  lwd=2, add=TRUE)
curve(dnorm100.15,  from=50, to=150, col="black", lwd=2, add=TRUE)
legend(x="topleft", legend=c("N(100, 5)", "N(100, 7.5)", "N(100, 10)", "N(100, 15)"),
       lwd=2, col=c("green", "red", "blue", "black"))

c(1, 2, 3)[1]
(function(arg1, arg2) { arg1^2 + arg2^2 })(-3, 4)

mat <- matrix(round(rnorm(16, 100, 15)), 4, 4)
apply(mat, 2, function(x) { sqrt(sum(x^2)) })

##### 11.1.5
info            <- function(x) { UseMethod("info") }
info.numeric    <- function(x) { range(x)  }
info.matrix     <- function(x) { dim(x)    }
info.data.frame <- function(x) { names(x)  }
info.default    <- function(x) { length(x) }

vec  <- round(runif(12, 20, 100), 2)
char <- LETTERS[sample(1:26, 5)]
mat  <- matrix(vec, nrow=3)
myDf <- data.frame(mat)
names(myDf) <- LETTERS[1:ncol(myDf)]

info(vec)
info(mat)
info(myDf)
info(char)

#####---------------------------------------------------------------------------
##### 11.2 Kontrollstrukturen
##### 11.2.1
(x <- round(rnorm(1, 100, 15)))
if(x > 100) { cat("x is", x, "(greater than 100)\n") }

x <- round(rnorm(1, 100, 15))
if (x > 100) {
    cat("x is", x, "(greater than 100)\n")
} else {
    cat("x is", x, "(100 or less)\n")
}

(day <- sample(c("Mon", "Tue", "Wed"), 1))
if(day == "Mon") {
    print("The day is Monday")
} else {
    if(day == "Tue") {
        print("The day is Tuesday")
    } else {
        print("The day is Wednsday")
    }
}

(val <- sample(1:3, 1))
switch(val, print("val is 1"), print("val is 2"), print("val is 3"))
myCalc <- function(op, vals) {
    switch(op,
           plus  = vals[1] + vals[2],
           minus = vals[1] - vals[2],
           times = vals[1] * vals[2],
           vals[1] / vals[2])
}

(vals <- round(rnorm(2, 1, 10)))
myCalc("minus", vals)
myCalc("XX", vals)

##### 11.2.2
ABC <- c("Alfa", "Bravo", "Charlie", "Delta")
for(i in ABC) { print(i) }

src     <- log((rnorm(100000, 0, 1))^2)
alpha   <- 0.05
nTests  <- 1000
n       <- 20
sigVecT <- numeric(nTests)
sigVecV <- numeric(nTests)

for (i in seq(along=numeric(nTests))) {
    group1     <- sample(src, n, replace=FALSE)
    group2     <- sample(src, n, replace=FALSE)
    resT       <-   t.test(group1, group2)
    resV       <- var.test(group1, group2)
    sigVecT[i] <- as.logical(resT$p.value < alpha)
    sigVecV[i] <- as.logical(resV$p.value < alpha)
}

cat("Erwartete Anzahl signifikanter Tests:", alpha*nTests, "\n")
cat("Signifikante t-Tests:", sum(sigVecT), "\n")
cat("Signifikante F-Tests auf Varianzhomogenitt:", sum(sigVecV), "\n")

group1 <- replicate(nTests, sample(src, n, replace=FALSE))
group2 <- replicate(nTests, sample(src, n, replace=FALSE))
groups <- rbind(group1, group2)

estSigDiffs <- apply(groups, 2, function(x) {
               sqrt(1/n) * sqrt(var(x[1:n]) + var(x[(n+1):(2*n)])) } )

meanDiffs <- apply(groups, 2, function(x) {
             mean(x[1:n]) - mean(x[(n+1):(2*n)]) } )

tVals <- meanDiffs / estSigDiffs
pVals <- 1-pt(tVals, (2*n)-2)
sum(pVals < alpha)

myMod <- function(x, y) {
    if((x < 0) | (y < 0)) { return(invisible(NULL)) }
    while(abs(x) >= abs(y)) { x <- x-y }
    print(x)
}
myMod(37, 10)
myMod(5, 17)

for(i in 1:10) {
    if((i %% 2) != 0) { next  }
    if((i %% 8) == 0) { break }
    print(i)
}

i <- 0
repeat {
    i <- i+1
    if((i %% 4) == 0) { break }
    print(i)
}
